;InnoSetupVersion=5.1.2

[Setup]
AppName=PaperCut
AppVerName=PaperCut Quota 6.0
AppId=PaperCut
AppPublisher=PaperCut Software Pty Ltd
AppPublisherURL=http://www.papercut.biz
AppSupportURL=http://www.papercut.biz
AppUpdatesURL=http://www.papercut.biz
DefaultDirName={pf}\PaperCut
DefaultGroupName=PaperCut
UninstallDisplayIcon={app}\PaperCut.exe
OutputBaseFilename=pc-setup
Compression=lzma
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{sys}\StdOle2.tlb"; DestDir: "{sys}"; BeforeInstall: "BeforeInstallWork()"; Flags: uninsneveruninstall restartreplace regtypelib 
Source: "{sys}\MSVBVM60.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\OleAut32.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\OlePro32.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\ASycFilt.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\Ctl3d32.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\ComCat.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msvcrt.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\msvcrt40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\msvcrt20.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\msvcirt.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\Comdlg32.ocx"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\Mscomctl.ocx"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\Mscomct2.ocx"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\Msflxgrd.ocx"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\scrrun.dll"; DestDir: "{sys}"; Flags: restartreplace regserver sharedfile 
Source: "{sys}\expsrv.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\msexch40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msexcl40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msltus40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\mspbde40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msrd2x40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msrd3x40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\mstext40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msxbde40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msjet40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msjint40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\msjter40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\msjtes40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\Msjetoledb40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msrclr40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msrecr40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\msrepl40.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\mswdat10.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\mswstr10.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{sys}\vbajet32.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace 
Source: "{dao}\dao360.dll"; DestDir: "{dao}"; Flags: restartreplace regserver sharedfile 
Source: "{app}\ntsvc.ocx"; DestDir: "{app}"; Components: server; Flags: restartreplace regserver 
Source: "{app}\Database\PrinterDB.mdb"; DestDir: "{app}\Database"; Components: server; Flags: onlyifdoesntexist 
Source: "{app}\Database\PCUserDB.mdb"; DestDir: "{app}\Database"; Components: server; Flags: onlyifdoesntexist 
Source: "{app}\CustomReports\CustomAccessReports.mdb"; DestDir: "{app}\CustomReports"; Components: server; Flags: onlyifdoesntexist 
Source: "{app}\Logs\PrintJobLog.mdb"; DestDir: "{app}\Logs"; Components: server; Flags: onlyifdoesntexist 
Source: "{app}\EmptyPrintJobLog.mdb"; DestDir: "{app}"; Components: server; Flags: ignoreversion 
Source: "{app}\Logs\TransactionAuditLog.mdb"; DestDir: "{app}\Logs"; Components: server; Flags: onlyifdoesntexist 
Source: "{app}\EmptyTransactionAuditLog.mdb"; DestDir: "{app}"; Components: server; Flags: ignoreversion 
Source: "{app}\Logs\TopUpCardNumbers.mdb"; DestDir: "{app}\Logs"; Components: server; Flags: onlyifdoesntexist 
Source: "{app}\EmptyTopUpCardNumbers.mdb"; DestDir: "{app}"; Components: server; Flags: ignoreversion 
Source: "{app}\Scripts\addnewusers.bat"; DestDir: "{app}\Scripts"; Components: server; Flags: ignoreversion 
Source: "{app}\Scripts\adjustcredit.bat"; DestDir: "{app}\Scripts"; Components: server; Flags: ignoreversion 
Source: "{app}\Scripts\importlogs.bat"; DestDir: "{app}\Scripts"; Components: server; Flags: ignoreversion 
Source: "{app}\Scripts\README.txt"; DestDir: "{app}\Scripts"; Components: server; Flags: ignoreversion 
Source: "{app}\Scripts\setcredit.bat"; DestDir: "{app}\Scripts"; Components: server; Flags: ignoreversion 
Source: "{app}\PCSetup\setup.txt"; DestDir: "{app}\PCSetup"; Components: server; Flags: onlyifdoesntexist 
Source: "{app}\PCSetup\client-silent-install.bat"; DestDir: "{app}\PCSetup"; Components: server; Flags: ignoreversion 
Source: "{app}\PCSetup\PCClient.exe"; DestDir: "{app}\PCSetup"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\PCSetup\README.txt"; DestDir: "{app}\PCSetup"; Components: server; Flags: ignoreversion 
Source: "{app}\UninstallService.exe"; DestDir: "{app}"; Components: server; Flags: ignoreversion 
Source: "{app}\PaperCutPCM.dll"; DestDir: "{app}"; Components: server; Flags: restartreplace regserver ignoreversion 
Source: "{app}\PaperCutJAD.dll"; DestDir: "{app}"; Components: server; Flags: restartreplace regserver ignoreversion 
Source: "{app}\pcssd.dll"; DestDir: "{app}"; Components: server; Flags: restartreplace regserver ignoreversion 
Source: "{app}\pcsdb.exe"; DestDir: "{app}"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\PCService.exe"; DestDir: "{app}"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\PaperCut.exe"; DestDir: "{app}"; Components: server; Flags: ignoreversion 
Source: "{app}\userrights.exe"; DestDir: "{app}"; Components: server; Flags: ignoreversion 
Source: "{app}\PCClient.exe"; DestDir: "{app}"; Components: server client; Flags: restartreplace ignoreversion 
Source: "{app}\pc-userguide.pdf"; DestDir: "{app}"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\create-virtual-dir.vbs"; DestDir: "{app}"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\delete-virtual-dir.vbs"; DestDir: "{app}"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\PaperCut.exe.manifest"; DestDir: "{app}"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\PCClient.exe.manifest"; DestDir: "{app}"; Components: server client; Flags: restartreplace ignoreversion 
Source: "{app}\NetChargeUI.ocx"; DestDir: "{app}"; Components: server; Flags: restartreplace regserver ignoreversion 
Source: "{app}\PCNetCharge.exe"; DestDir: "{app}"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\Logs\NetChargeLog.mdb"; DestDir: "{app}\Logs"; Components: server; Flags: onlyifdoesntexist 
Source: "{app}\EmptyNetChargeLog.mdb"; DestDir: "{app}"; Components: server; Flags: ignoreversion 
Source: "{app}\CardWizard.exe"; DestDir: "{app}"; Components: server cardwizard; Flags: restartreplace ignoreversion 
Source: "{app}\CardWizard.exe.manifest"; DestDir: "{app}"; Components: server cardwizard; Flags: restartreplace ignoreversion 
Source: "{app}\Templates\numbers.csv"; DestDir: "{app}\Templates"; Components: server cardwizard; Flags: ignoreversion 
Source: "{app}\Templates\CardTemplate.doc"; DestDir: "{app}\Templates"; Components: server cardwizard; Flags: onlyifdoesntexist 
Source: "{app}\Templates\CardTemplateOrigional.doc"; DestDir: "{app}\Templates"; Components: server cardwizard; Flags: ignoreversion 
Source: "{app}\ActTrkServer.exe"; DestDir: "{app}"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\PCEActTrkAdmin.ocx"; DestDir: "{app}"; Components: server; Flags: restartreplace regserver ignoreversion 
Source: "{app}\PCSecWiz.exe"; DestDir: "{app}"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\TARun.dll"; DestDir: "{app}"; Flags: restartreplace regserver 
Source: "{app}\PCWebAdmin.dll"; DestDir: "{app}"; Components: server; Flags: restartreplace regserver ignoreversion 
Source: "{app}\WebAdmin\README.txt"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\Admin.asp"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\default.asp"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\Log.asp"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\Logon.asp"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\LogReport.asp"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\NetLog.asp"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\OtherCharges.asp"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\ChargeRates.asp"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\papercut.css"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\custom.css"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\TopUpCard.asp"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\Transfer.asp"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\TransLog.asp"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\UserList.asp"; DestDir: "{app}\WebAdmin"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\Config.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: onlyifdoesntexist 
Source: "{app}\WebAdmin\includes\footer.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\head.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\sidenav.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\header.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\PCCommon.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\lang_en.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\lang_es.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\lang_fr.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\lang_it.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\lang_ko.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\lang_ja.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\lang_nl.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\lang_zh-hk.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\lang_zh-cn.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\includes\lang_de.inc"; DestDir: "{app}\WebAdmin\includes"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\images\left_nav_dots.gif"; DestDir: "{app}\WebAdmin\images"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\images\papercut.gif"; DestDir: "{app}\WebAdmin\images"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\images\topbar_background.gif"; DestDir: "{app}\WebAdmin\images"; Components: server; Flags: restartreplace ignoreversion 
Source: "{app}\WebAdmin\images\tr.gif"; DestDir: "{app}\WebAdmin\images"; Components: server; Flags: restartreplace ignoreversion 
; Source: "{app}\"; DestDir: "{app}"; Components: client; Flags: skipifsourcedoesntexist 
Source: "{app}\stopclient.exe"; DestDir: "{app}"; Components: server client; Flags: restartreplace ignoreversion 
Source: "{app}\pccopy.exe"; DestDir: "{app}"; Components: server; Flags: restartreplace ignoreversion 

[Dirs]
Name: "{app}\Database"; 
Name: "{app}\CustomReports"; 
Name: "{app}\WebAdmin"; 
Name: "{app}\WebAdmin\includes"; 
Name: "{app}\WebAdmin\images"; 
Name: "{app}\PCSetup"; 
Name: "{app}\Backups"; 
Name: "{app}\Scripts"; 
Name: "{app}\Templates"; 
Name: "{app}\Logs"; 

[Registry]
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "HasEnterprise"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "HasNetCharging"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "HasPrintCharging"; ValueType: Dword; ValueData: "$1"; Components: server; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "HasOnlyPrintCharging"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "TimeStamp6"; ValueType: String; ValueData: "1663244661D049A"; Components: server; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "InstallRoot"; ValueType: String; ValueData: "{app}"; Components: server; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "InstalledDate"; ValueType: String; Components: server; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "Change"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "LastSchedule"; ValueType: Dword; ValueData: "$1"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "PDC"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "LastUpdateCheck"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "TimeOut"; ValueType: String; ValueData: "300"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "UserDBPath"; ValueType: String; Components: client; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "UserDBPath"; ValueType: String; ValueData: "{app}\Database\PCUserDB.mdb"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "WizardRun"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "PCEDataDirectory"; ValueType: String; ValueData: "{app}\PCEData"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "PCENotificationDirectory"; ValueType: String; ValueData: "{app}\PCEActN"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "MaintainSpooler"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "DetailedLogging"; ValueType: Dword; ValueData: "$1"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "TransactionLogging"; ValueType: Dword; ValueData: "$1"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "Key"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "Name"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "LogLevel"; ValueType: Dword; ValueData: "$1"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "IsRemote"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "UserOverdraft"; ValueType: String; ValueData: "0.00"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "PrintDenyMessage"; ValueType: String; ValueData: "PRINTING DENIED - %REASON% - You have tried to print %PAGES% pages, costing %DOCUMENT_COST%.  You have %CURRENT_CREDIT% in your account."; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "UsePDC"; ValueType: Dword; ValueData: "$1"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "UserImportGroup"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "DummyDocumentDefs"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "ErrorRequiringAttention"; ValueType: String; Components: server; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "SendMessagesToComputer"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "WebShowCurrency"; ValueType: Dword; ValueData: "$1"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "AutoRefund"; ValueType: Dword; ValueData: "$1"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "UseActiveDirectory"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "ActiveDirectoryUserSource"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "LogDocumentName"; ValueType: Dword; ValueData: "$1"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "EnablePrintJobMessage"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "PrintJobMessage"; ValueType: String; ValueData: "PRINTED - You have printed the %PAGES% page document '%DOCUMENT_NAME%', costing %DOCUMENT_COST%.  You have %CURRENT_CREDIT% in your account."; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "ServiceStateIsPaused"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "ServiceStateIsStopped"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "ServiceStatusDataChange"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "ChargeForCachedData"; ValueType: Dword; ValueData: "$1"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "ChargeForSentData"; ValueType: Dword; ValueData: "$1"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "ChargeMethod"; ValueType: String; ValueData: "TIME"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "ChargePerMB"; ValueType: String; ValueData: "0.0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "ChargePerTimePeriod"; ValueType: String; ValueData: "0.0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "DetailedLog"; ValueType: Dword; ValueData: "$1"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "DisableNetAccess"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "IgnoreDomains"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "IgnoreUsers"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LastLogFileFormat"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LastLogFileHeadCheckSum"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LastLogFileOffset"; ValueType: Dword; ValueData: "$FFFFFFFF"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LastLogFileProcessed"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LastLogFileSize"; ValueType: Dword; ValueData: "$FFFFFFFF"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LastLogLineDateProcessed"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LastLogLineParsed"; ValueType: Dword; ValueData: "$FFFFFFFF"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LastLogW3CFormatLine"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LogDBPath"; ValueType: String; ValueData: "{app}\Logs\NetChargeLog.mdb"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LogFileSpec"; ValueType: String; ValueData: "W*.log"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LogPath"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LogProcessFrequency"; ValueType: Dword; ValueData: "$14"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "LogType"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "NetGroup"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "TimeChargePeriod"; ValueType: Dword; ValueData: "$5"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "ServiceStatus"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "SQLConnStr"; ValueType: String; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "SQLTable"; ValueType: String; ValueData: "WebProxyLog"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut\NetCharge"; ValueName: "UpdatedCredit"; ValueType: Dword; ValueData: "$0"; Components: server; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "ShowLink"; ValueType: String; ValueData: "yes"; Components: server client; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "HideCurrencySign"; ValueType: String; ValueData: "no"; Components: server client; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "LinkName"; ValueType: String; ValueData: "www.papercut.biz"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "LinkPath"; ValueType: String; ValueData: "http://www.papercut.biz/credirect.htm"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "PCEPrimaryServer"; ValueType: String; Components: server client; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "ShowOnStartup"; ValueType: String; ValueData: "1"; Components: client; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\PaperCut"; ValueName: "Language"; ValueType: String; ValueData: "eng"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "PaperCut"; ValueType: String; ValueData: "{app}\PCClient.exe /SILENT"; Components: client; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "System\CurrentControlSet\Control\Print"; ValueName: "DisableServerFilePooling"; ValueType: Dword; ValueData: "$1"; Components: server; Flags: uninsdeletevalue 

[INI]
FileName: "{app}\PaperCut.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.papercut.biz"; 
FileName: "{app}\WebTools.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://localhost/papercut"; 

[Run]
Filename: "{app}\pcsdb.exe"; Parameters: "/REGSERVER"; Components: server; 
Filename: "{app}\ActTrkServer.exe"; Parameters: "/REGSERVER"; Components: server; 
Filename: "wscript.exe"; Parameters: "//nologo ""{app}\create-virtual-dir.vbs"" papercut ""{app}\WebAdmin"" "; Components: server; MinVersion: 0.0,5.0; 
Filename: "cscript.exe"; Parameters: "//nologo ""{sys}\iisext.vbs"" /enext ASP"; Components: server; MinVersion: 0.0,5.02; 
Filename: "{app}\pccopy.exe"; Parameters: "{srcexe} /setup"; Components: server; AfterInstall: "AfterInstallWork()"; 
Filename: "{app}\PaperCut.exe"; Description: "Run PaperCut and complete configuration"; Components: server; Flags: postinstall 

[UninstallRun]
Filename: "{app}\stopclient.exe"; 
Filename: "net.exe"; Parameters: "share PCSetup /delete /y"; RunOnceId: "RemoveSetupShare"; Components: server; 
Filename: "net.exe"; Parameters: "share PCDB$ /delete /y"; RunOnceId: "RemoveDBShare"; Components: server; 
Filename: "net.exe"; Parameters: "share PCDBA$ /delete /y"; RunOnceId: "RemoveDBAShare"; Components: server; 
Filename: "net.exe"; Parameters: "share PCLogs$ /delete /y"; RunOnceId: "RemoveLogShare"; Components: server; 
Filename: "{app}\UninstallService.exe"; RunOnceId: "UninstallService"; Components: server; 
Filename: "{app}\pcsdb.exe"; Parameters: "/UNREGSERVER"; RunOnceId: "UnregPCSDB"; Components: server; 
Filename: "{app}\ActTrkServer.exe"; Parameters: "/UNREGSERVER"; RunOnceId: "UnregActTrkServer"; Components: server; 
Filename: "net.exe"; Parameters: "stop w3svc"; RunOnceId: "StopIIS"; Components: server; 
Filename: "net.exe"; Parameters: "start w3svc"; RunOnceId: "StartIIS"; Components: server; 
Filename: "wscript.exe"; Parameters: "//nologo ""{app}\delete-virtual-dir.vbs"" papercut"; RunOnceId: "DeleteIISVirDir"; Components: server; MinVersion: 0.0,5.0; 

[Icons]
Name: "{group}\PaperCut - Admin Console"; Filename: "{app}\PaperCut.exe"; Components: server; 
Name: "{group}\PaperCut User Guide"; Filename: "{app}\pc-userguide.pdf"; Components: server; 
Name: "{userdesktop}\PaperCut"; Filename: "{app}\PaperCut.exe"; Components: server; Tasks: desktopicon; 
Name: "{group}\PaperCut on the Web"; Filename: "{app}\PaperCut.url"; Components: server; 
Name: "{group}\Web Tools"; Filename: "{app}\WebTools.url"; Components: server; 
Name: "{group}\User Inquiry Tool"; Filename: "{app}\PCClient.exe"; Components: server; 
Name: "{group}\Account Status"; Filename: "{app}\PCClient.exe"; Components: client; 
Name: "{group}\TopUp - PrePaid Card Wizard"; Filename: "{app}\CardWizard.exe"; Components: server cardwizard; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; Components: "server"; 

[Components]
Name: "server"; Description: "Server Installation"; Types: "server"; 
Name: "client"; Description: "Workstation Client Install"; Types: "client"; 
Name: "cardwizard"; Description: "TopUp - PrePaid Card Wizard"; Types: "cardwizard"; 

[UninstallDelete]
Type: files; Name: "{app}\Logs\error.log"; Components: server; 
Type: files; Name: "{app}\Logs\event.log"; Components: server; 
Type: files; Name: "{app}\Logs\debug.log"; Components: server; 
Type: files; Name: "{app}\Backups\*.mdb"; Components: server; 
Type: files; Name: "{app}\Backups\*.ldb"; Components: server; 
Type: files; Name: "{app}\*.ldb"; Components: server; 
Type: files; Name: "{app}\Database\*.ldb"; Components: server; 
Type: files; Name: "{app}\CustomReports\*.ldb"; Components: server; 
Type: files; Name: "{app}\Logs\*.ldb"; Components: server; 
Type: files; Name: "{app}\PaperCut.url"; Components: server; 
Type: files; Name: "{app}\WebTools.url"; Components: server; 
Type: files; Name: "{app}\PCSetup\*.*"; Components: server; 

[Types]
Name: "server"; Description: "Server Installation"; 
Name: "client"; Description: "Workstation Client Install"; 
Name: "cardwizard"; Description: "TopUp - PrePaid Card Wizard"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
