<%
' (c) Copyright 1999-2004 PaperCut Software Pty. Ltd.
'
' PaperCut Web Administration Configuration File.
' Edit this file to modify the behavior of PaperCut's Web Administration pages.
'

' Options to control if standard users can view their own activity logs.
' The detailed logs will always be able to be viewed by Administrators.
' Set to "False" to disable.
gblnShowUserPrintLog = True
gblnShowUserNetLog = True
gblnShowUserTransactionLog = True

' Enable the link to allow users to transfer their credit
gblnShowTransferOption = True

' Enables TopUp card functionality
gblnEnableTopUpCards = True

' Setting this to true displays a link to the admin home page even for users
' who have yet to be confirmed as admin.
' The User will be confirmed as admin when they hit one of the admin pages, that
' are only accessible by admin users.
gblnAlwaysShowAdminLink = True

' If you want to display user internet usage totals, but the net charging module is not installed 
' on this server (e.g. it is installed on a proxy server), then set this value to "True"
' If net charging is install on this server, the totals are always displayed.
gblnShowUserNetUsageTotals = False

' To stop the charge rates page from being displayed in the web tools interface set the following to "False"
gblnShowChargeRates = True

' To customize the list of other charges, uncomment the line below, and change
' the list to include the charges you want included
' of other charges.
'garrChargeTypes = Array("Photo paper", "Library fines", "Stationary")

' For information on how to translate the web tools into your language
' see "includes\lang_en.inc"

' If your users' browser language settings are configured, the language will be automatically detected.
' If you want to force the web site to be in a particular language, remove the ' from the
' start of the line below, and change the language code appropriately
'
' SetActiveLanguage("en")


' This setting allows you to use the web tools interface in an environment where
' it is not possible to use Windows Integrated Authentication (e.g. when Macs are
' accessing the web tools.)  Setting this to true allows users to enter their username
' manually when they connect to the web tools.
' You must ensure IIS is configured to allow anonymous access.
gblnAllowAnonymousAccess = False
%>
