<%
' (c) Copyright 1999-2004 PaperCut Software Pty. Ltd.
'
' Italian Translation
'
' To translate the PaperCut Web tools follow these steps:
'
' 1. Copy "includes\lang_en.inc" to a new file name appropriate for your language.
'    (e.g.  lang_<languageCode>.inc). You can see a list  of 2 letter language codes
'    here: http://www.w3.org/WAI/ER/IG/ert/iso639.htm#2letter
'
' 2. Open the file "includes\PCCommon.inc" and add your language code to the list near the top of
'    the file that looks like:
'
'		garrValidLangs = Array("en", "es", "it")
'
' 3. In "includes\PCCommon.inc", include your language file below the list that looks like this:
'
'		<!-- #include file="lang_it.inc" -->
'		<!-- #include file="lang_es.inc" -->
'
' 4. Modify the line at the top of your language file that looks like the following, to have use the
'    the correct language code.
'
'		If IsActiveLanguage("en") Then
'
' 5. Translate the "SetText" lines below.  For example, change:
'
'		SetText "Pages", 	"Pages"
'
'	 to
'
'		SetText "Pages", 	"Pagine"
'
'
' 6. Refresh your web browser, and you should see your translations. If not, PaperCut could not
'    detect your default language.  To force your language to be used add the line to the bottom
'    of the "Config.inc" file (and change the language code to your language).
'
'		SetActiveLanguage("en")
'
' 7. Translate the text below which will be used on a simple page on our web site for speakers of
'    your language.  You and your organisation will receive acknowledgement of your contribution.
'    See here for a sample of what the web page will look like: http://www.papercut.biz/lang/english.htm
'
' 8. Send your translation file to support@papercut.biz, so other can make use of your translation
'
' ================== START OF TEXT FOR WEB SITE ==================
' PaperCut  il primo prodotto per la gestione delle risorse di stampa e di rete. PaperCut gestisce attualmente la tassazione di tali risorse per
' pi di un milione di utenti dislocati in pi di 60 paesi a livello mondiale. 
' Papercut gestisce la tassazione di risorse quali stampe od internet, quantificandone e monitorandone l'utilizzo su reti windows.
' E' stato sviluppato per specificamente per consentire a scuole e universit di promuovere un uso responsabile delle risorse IT.
' Altra sua applicazione  in quelle realt aziendali in cui  necessario realizzare una struttura di gestioni costi o per il 
' monitoraggio attivo e trasparente dell'utilizzo delle risorse IT.
' 
' Configurazioni possibili sono:
'
' 	* Sistema di tassazione delle risorse di stampa ed internet
'	* Sistema di tassazione e monitoraggio delle risorse di stampa
'	* Sistema di tassazione e monitoraggio delle risorse di rete
'
' E' possibile scaricare una versione che consente di provare PaperCut per 40 giorni senza limitazioni.
' Sebbene PaperCut non sia completamente tradotto in italiano, la sua interfaccia web supporta completamente questa lingua.
' Tale interfaccia consente di gestire completamente tutte le funzionalit messe a disposizione del software e gli account utente.
'
' Grazie al Dr. Marco Zampieri dell'Universit degli Studi di Verona per la traduzione dell'interfaccia web.
'
' ================== END OF TEXT FOR WEB SITE ==================

If IsActiveLanguage("it") Then

	' The charset used for the webpages
	SetText "charset", 				"windows-1252"
	
	' Header/Footer
	SetText "WebTools", 			"Web Tools"
	SetText "LoggedInAs", 			"Connesso come"
	SetText "LicensedTo",			"Rilasciato in licenza a"
	SetText "PoweredBy", 			"Prodotto da %0%"
	SetText "RightsReserved", 		"Tutti i diritti sono riservati"
	SetText "PaperCutTrial",		"PaperCut versione di prova"
	SetText "TrialExpired",			"Periodo di prova scaduto"
	SetText "TrialDaysRemaining",	"Rimangono %0% giorni alla scandenza"
	SetText "NotLoggedIn",			"(non connesso)"
	
	SetText "MyDetails", 			"Dettagli Personali"
	SetText "MySummary", 			"Sommario"
	SetText "UseTopUpCard", 		"Inserimento TopUp Card"
	SetText "MyPrintJobs", 			"Processi di stampa"
	SetText "MyNetUsage", 			"Utilizzo della rete"
	SetText "MyTransactions", 		"Transazioni personali"
	SetText "TransferFunds", 		"Trasferisci fondi"
	
	SetText "UpdateCheck",			"Check For Updates"
	
	SetText "Admin", 				"Amministrazione"
	SetText "AdminHome", 			"Menu di amministrazione"
	SetText "UserList", 			"Lista degli utenti"
	SetText "UserDetails", 			"Dettagli degli utenti"
	SetText "RecentPrintJobs", 		"Storico dei processi di stampa"
	SetText "PrintJobs", 			"Processi di stampa"
	SetText "RecentNetUsage", 		"Storico del utilizzo della rete"
	SetText "NetUsage", 			"Utilizzo della rete"
	SetText "TransactionHistory",		"Storico transazioni"
	
	SetText "RecentPrintLogsBy",	"Dettagli dei processi di stampa per '%0%'"
	SetText "RecentTransactions",	"Storico delle transazioni"
	SetText "RecentTransactionsFor","Storico delle transazioni di '%0%'"
	SetText "RecentNetUsageBy",		"Storico del utilizzo della rete per '%0%'"
	SetText "TimeUsed",				"Tempo di Utilizzo"
	SetText "DataUsed",				"Dimensione"
	
	
	' Field/Column names
	SetText "Username", 		"Nome Utente"
	SetText "Credit", 			"Credito residuo"
	SetText "PagesPrinted", 	"Pagine stampate"
	SetText "NetDataUsed", 		"Utilizzo totale della rete"
	SetText "NetTimeUsed", 		"Tempo totale di rete"
	SetText "Privilege", 		"Privilegi"
	SetText "QuickAdd",			"Aggiunta rapida"
	SetText "QuickAdjust",   		"Quick Adjustment"
    SetText "AdjustCredit",			"Adjust Credit:"
	
	SetText "Time", 			"Ora"
	SetText "Date", 			"Data"
	SetText "User", 			"Utente"
	SetText "Printer", 			"Stampante"
	SetText "Document", 		"Documento"
	SetText "Pages", 			"Pagine"
	SetText "Cost", 			"Costo"
	SetText "Amount", 			"Totale"
	SetText "Comment", 				"Comment"
	SetText "CreditAfterTrans",	"Credito dopo transazione"
	SetText "Status", 			"Stato"
	SetText "TransactedBy", 	"Gestore transazione"
	SetText "HoursAbbr", 		"Ore"
	SetText "MBAbbr", 			"MB"
	
	
	SetText "Restricted", 		"Limitato"
	SetText "Unrestricted", 	"Illimitato"
	
	' Buttons/Actions
	SetText "Save",				"Salva"
	SetText "Search",			"Cerca"
	SetText "AddOne",			"Aggiungi Uno"
	SetText "AddFive",			"Aggiungi Cinque"
	SetText "AddTen",			"Aggiungi Dieci"
	SetText "ApplyAdjustment",		"Apply"
	SetText "JumpToUser",		"Vai all'utente"
	SetText "Next",				"Prossimo"
	SetText "Previous",			"Precedente"
	SetText "ModifyUsersCredit","Modifica il credito di %0%"
	SetText "ModifyUserCredit",	"Modifica del credito utente"
	SetText "ViewUserLogs", 	"Vedi i dettagli di %0%"
	'SetText "ViewUserTrans", 	"View %0%'s transactions"
	SetText "ViewPrintLog",		"Vedi i dettagli di stampa"
	SetText "ViewNetUsage",		"Vedi utilizzo di rete"
	
	'Usage Reports
	SetText "QuickReports",			"Quick Reports"
	SetText "AdhocReports",			"Adhoc Reports"
	SetText "ReportName",			"Report Name"
	SetText "Description",			"Description"

	SetText "UsageType",			"Usage type"
	SetText "ReportType",			"Report type"
	SetText "Detailed",				"Detailed logs"
	SetText "SummaryByUser",		"Summary by user"
	SetText "SummaryByPrinter",		"Summary by printer"
	SetText "Period",				"Period"
	SetText "SortBy",				"Sort By"
	SetText "PrintStatus",			"Print Status"
	SetText "TotalCost",			"Total cost"
	SetText "PrinterName", 			"Printer name"
	SetText "PagesPerJob", 			"Average pages per job"
	SetText "RunReport",			"Run Report"
	SetText "RunReportExcel",		"Export to Excel"
	SetText "ReportFilters", 		"Report Filters"
	SetText "ReportSortOrder", 		"Report Sort Order"

    'Printer Status Selection
	SetText "Printed",				"Printed"
	SetText "Denied",				"Denied"
	SetText "Cancelled",			"Cancelled"
	SetText "Refunded",				"Refunded"
	SetText "CancelledWithNoRefund",	"Cancelled with no refund"
	SetText "AllDocuments",	        "All Documents"

	SetText "ReportsNoNetCharging",	"Unable to run Internet usage report.  Net Charging is not installed."

	SetText "PeriodToday",			"Today"
	SetText "PeriodYesterday",		"Yesterday"
	SetText "PeriodLast24Hours",	"Last 24 hours"
	SetText "PeriodWeek",			"Last 7 days"
	SetText "PeriodMonth",			"Last 30 days"
	SetText "Period3Months",		"Last 3 months"
	SetText "Period6Months",		"Last 6 months"
	SetText "PeriodAll",			"All Data"

	SetText "HideReportParameters",	"Hide Report Parameters"
	SetText "ShowReportParameters",	"Show Report Parameters"

	SetText "PrintReports",			"Print Usage Reports"
	SetText "NetReports",			"Internet Usage Reports"

	SetText "TopPrintUsersJobs",	"Top Print Users (Print Jobs)"
	SetText "TopPrintUsersJobsDesc","Lists the top print users by number of print jobs over the past 30 days"
	SetText "TopPrintUsersPages",	"Top Print Users (Pages Printed)"
	SetText "TopPrintUsersPagesDesc","Lists the top print users by number of pages printed over the past 30 days"
	SetText "BusiestPrintersJobs",	"Busiest Printers (Print Jobs)"
	SetText "BusiestPrintersJobsDesc","Lists the busiest printers by number of print jobs over the past 30 days"
	SetText "BusiestPrintersPages",	"Busiest Printers (Pages Printed)"
	SetText "BusiestPrintersPagesDesc","Lists the busiest printers by number of pages printed over the past 30 days"
	SetText "PrintJobsExpensive",	"Most Expensive Print Jobs"
	SetText "PrintJobsExpensiveDesc","Lists the most expensive print jobs over the past 30 days"
	SetText "PrintJobsBiggest",		"Largest Print Jobs"
	SetText "PrintJobsBiggestDesc","Lists that print jobs with the most number of pages over the past 30 days"
	SetText "PrintJobsBiggestDesc","Lists that print jobs with the most number of pages over the past 30 days"
	SetText "CancelledAndNotRefundedJobs","Cancelled Print Jobs Not Refunded"
	SetText "CancelledAndNotRefundedJobsDesc","A list of print jobs manually cancelled but not refunded as they had fully or partially printed"

	SetText "TopNetUsersData",		"Top Internet Users (Data)"
	SetText "TopNetUsersDataDesc",	"Lists the top Internet users by data downloaded over the past 30 days"
	SetText "TopNetUsersTime",		"Top Internet Users (Time)"
	SetText "TopNetUsersTimeDesc",	"Lists the top Internet users by time used over the past 30 days"
	SetText "NetHighestDailyUseData", "Highest Daily Internet Use (Data)"
	SetText "NetHighestDailyUseDataDesc","Lists the users with the highest amount of data used in a day, over the past 30 days"
	SetText "NetHighestDailyUseTime", "Highest Daily Internet Use (Time)"
	SetText "NetHighestDailyUseTimeDesc","Lists the users with the highest amount of time used in a day, over the past 30 days"
	SetText "AdhocReportsDesc",		"Allows you to create customized print or internet usage reports that can be displayed on screen or exported to Excel"



	SetText "ResultsNoData",		"No data matches your report parameters"

	'TopUp Cards
	SetText "TopUpCardInstr",	"Inserisci il numero della TopUp Card e premi il tasto ""Inserimento TopUp Card""."
	SetText "TopUpCardInstrNote",	"NOTA: Tutte le richieste di utilizzo delle TopUp card sono memorizzate."
	SetText "CardNumber",		"Numero della carta"		
	
	SetText "TopUpSuccess",		"L'aggiunta di TopUp card  avvenuta con successo."
	SetText "ActionLogged",		"Questa operazione  stata memorizzata"
	SetText "ErrorTUCExpired",	"Questa TopUp Card non  pi valida."
	SetText "ErrorTUCInvalid",	"Questa TopUp Card non  valida."
	SetText "ErrorTUCUnableToProcess", 	"Il sistema non  in grado di verificare la validit della TopUp card"
	
	' Transfer
	SetText "TransferFrom",			"Trasferimento da"
	SetText "AvailableFunds",		"Disponibilit "
	SetText "AmountToTransfer",		"Amontare del trasferimento"
	SetText "TransferToUser",		"Trasferimento all'utente"
	SetText "Transfer",				"Trasferimento"
	SetText	"TransferApplied",		"Il trasferimento dei fondi  avvenuto con successo."
	SetText "ErrorTransUser",		"L'utente destinatario del trasferimento fondi  inesistente."
	SetText "ErrorTransCredit",		"Non hai abbastanza fondi per trasferire l'ammontare inserito."
	SetText "ErrorTransInvAmount",		"Ammontare del trasferimento non corretto."
	SetText	"UnableToTransfer",		"Unable to transfer funds."
	
	' Other Charges
	SetText	"OtherCharges",			"Other Charges"
	SetText	"UserToCharge",			"User to charge"
	SetText	"ChargeUser",			"Charge User"
	SetText	"UnableToCharge",		"Unable to charge user."
	SetText	"ChargeApplied",		"Charge applied successfully."
	SetText "ChargeType",			"Charge type"
	SetText "AdditionalComment",	"Additional comment"
	SetText "ChargeDiffUser",		"Charge different user"
	SetText "AvailableCredit",		"Available Credit"

	' Charge Types
	SetText "ChargeTypeOther",		"Other charge"

	SetText "OtherChargeType0",		"Photo paper"
	SetText "OtherChargeType1",		"Transparencies"
	SetText "OtherChargeType2",		"Binding"
	SetText "OtherChargeType3",		"Other special paper"
	SetText "OtherChargeType4",		"Library fines"
	SetText "OtherChargeType5",		"Late payment fees"
	SetText "OtherChargeType6",		"Rental fees"

    'Refund
    SetText "RefundSuccess",        "Refund successfully issued."
    SetText "RefundFailure",        "Failed to refund print job."
    SetText "Refund",               "Refund"
    SetText "RefundConfirm",        "Refund user %0% with amount %1% ?"
    SetText "RefundComment",        "Refunded print job"

	'Transacted By
	SetText "TransByNetUse",		"Uso Rete"
	SetText "TransByPrintUse",		"Processo di Stampa"
	SetText "TransByAutomatic",		"Automatico"
	SetText "TransByTransTo",		"Trasferimento fondi %0%"
	SetText "TransByTransFrom",		"Trasferimento fondi %0%"
	
	' Admin Home
	SetText "Welcome",				"Benvenuto"
	SetText "AdminInstr",			"Benvenuto sull'interfaccia di amministrazione web di %0%.<br>Potrai operare le operazioni di amministrazione base dal tuo browser e vedere i processi di stampa recentemente elaborati dal server."
	SetText "UserAdmin",			"Amministrazione Utenti"
	SetText "ViewRecentPrintJobs",	"Visualizzazione dei processi di stampa recentemente elaborati dal server"
	SetText "ViewRecentNetUsage",	"Visualizzazione del utilizzo della rete su questo server"
	SetText "ViewRecentTransLog",	"Visualizzazione dei dettagli delle recenti transazioni su questo server"

	' Login page
	SetText "Login",                "Login"
	SetText "LoginInstructions",    "Enter your login username to log into the PaperCut web tools interface."
	
	' Charges List
	SetText "Advanced",				"Advanced"
	SetText "ChargeRates",			"Charge Rates"
	SetText "PrinterCosts",			"Printer Costs"
	SetText "PageCost",				"Page Cost"
	SetText "DuplexDiscount",		"Duplex Discount"
	SetText "GrayscaleDiscount",	"Grayscale Discount"
	SetText "Details",				"Details"
	SetText "LargePaper",			"Large Paper"
	SetText "VeryLargePaper",		"Very Large Paper"
	
	SetText "DefaultGrayscaleCost",	"Default Grayscale Cost"
	SetText "DefaultColorCost",		"Default Color Cost"
	
	SetText "Size",					"Size"
	SetText "ColorCost",			"Color Cost"
	SetText "GrayscaleCost",		"Grayscale Cost"
	
	SetText "ExtraPerPage",			"extra per page"
	SetText "LessPerPage",			"less per page"
	SetText "Extra",				"extra"
	SetText "Less",					"less"
	SetText "PerMetre2",			"per sq. metre"
	SetText "PerFoot2",				"per sq. foot"
	SetText "PerPage",				"per page"
	
	SetText "NetCosts",				"Internet Costs"
	SetText "NetChargingType",		"Net Charging Model"
	SetText "DataCost",				"%0% per MB"
	SetText "TimeCost",				"%0% per %1% minute period"

	'Errors
	SetText "ErrorUserNotLoggedIn" ,"Utente non registrato. E' necessario configurare IIS per evitare l'accesso anonimo."
	SetText "AnonAccessDisabled",   "Anonymous access is disabled. If you want to allow anonymous user access, set gblnAllowAnonymousAccess = True value in Config.inc."
	SetText "ErrorAnonAdminAccess", "Users authenticated using the 'anonymous' login form, are not allowed to access the Administration pages.  Change the permissions of the Admin ASP pages so that only Administrators can access these files."
	SetText "ErrorCantFindUser",	"Non riesco a trovare l'utente '%0%' nel database degli utenti di PaperCut."
	SetText "ErrorUnexpectedError",	"Errore inatteso. Contattare l'amministratore di sistema."
	SetText "ErrorDatabaseAccess",	"Non hai il permesso di modificare il database di PaperCut. Consultare il manuale utente per le configurazioni di sicurezza dell'interfaccia di amministrazione web di PaperCut."
	
	
	'PaperCut Enterprise
	SetText "Account",				"Account"
	SetText "AccountList",			"Lista degli Account"
	SetText "AccountAdmin", 		"Amministrazione Account"
	SetText "ChooseOption",			"Scegli una delle seguenti operazioni."
	
	
	SetText "AccountListInstr", 	"Per modificare un account, premi un nome Account dalla seguente lista"
	SetText "ClickToAddAcct", 		"O premi per aggiungere un Account"
	
	SetText "AccountDetailsInstrAdd", 	"Per aggiungere un Account, inserisci i seguenti dettagli e premi il pulsante Salva"
	SetText "ReturnWithoutAdd", 		"Ritorna alla Lista degli Account senza aggiungerne uno nuovo"
	
	SetText "AccountDetailsInstrEdit", 	"Per modificare un Account, cambiare i seguenti dettagli e premi il pulsante Salva"
	SetText "DeleteThisAccount", 		"Cancella questo account"
	SetText "ReturnWithoutEdit", 		"Ritorna alla Lista degli Account senza salvare alcuna modifica"
	
	SetText "ResetCounters",		"Azzera contatori"
	SetText "CounterStats",			"Contatori"
		
	SetText "ConfirmAcctDelete",	"Sei sicuro di voler eliminare questo account?"
	SetText "ConfirmResetCount",	"Sei sicuro di voler azzerare il contatore del seguente account?"
	
	SetText "AcctIsActive", 		"L'account  attivo"
	SetText "AcctJobsNonInvoice",	"Non  possibile reperire i processi dell'Account"
	
	SetText "Legend", 				"Legenda"
	SetText "MainAcct", 			"Account Principale"
	SetText "ActiveAcct",			"Account Attivo"
	SetText "InactiveAcct",			"Account Inattivo"
	SetText "JobCommentsReq",		"Commenti al processo Richiesti"
	SetText "JobCommentsOpt",		"Commenti al processo Opzionali"
	
	SetText "AccountDetails",		"Dettagli dell'Account"
	SetText "AcctType",				"Tipo di Account"
	SetText "AccountTitle", 		"Nome Account"
	SetText "Title", 				"Nome"
	SetText "AccountType", 			"Tipo di Account"
	SetText "SubAcctOf", 			"Sub Account di"
	SetText "Notes", 				"Note"
	
	SetText "AcctAdded",			"L'account  stato aggiunto con successo"
	SetText "AcctSaved",			"L'account  stato salvato con successo"
	SetText "CountReset",			"I contatori sono stato azzerati con successo"
	
	SetText "EntErrAcctDetails", 		"Sono stati rilevati i seguenti problemi con nei dettagli dell'account"
	SetText "EntErrAcctAdd", 		"E' stato rilevato un errore aggiungendo l'account"
	SetText "EntErrAcctSave",		"E' stato rilevato un errore salvando l'account"
	SetText "EntErrAcctDelete",		"E' stato rilevato un'errore cancellando l'account"
	SetText "EntErrAcctTitle", 		"E' necessario inserire il nome dell'account"
	SetText "EntErrCountReset",		"E' stato rilevato un errore azzerando i contatori"
	
	
	SetText "EntRedirMsg", 			"Attendere fino al caricamento della prossima pagina. Se questo non avvenisse entro 5 secondi premere il link accanto."
	SetText "ClickHereToCont",		"Premere per continuare"
	
	SetText "CommentsRequired", 	"Commenti richiesti"
	SetText "CommentsNone", 		"Non ci sono commenti per i processi di stampa"
	SetText "CommentsOpt", 			"Commenti opzionali per i processi di stampa"
	SetText "CommentsReq", 			"Commenti richiesti per i processi di stampa"

End If
%>
