<%
' (c) Copyright 1999-2004 PaperCut Software Pty. Ltd.
'
' English Translation
'
' To translate the PaperCut Web tools follow these steps:
'
' 1. Copy "includes\lang_en.inc" to a new file name appropriate for your language.
'    (e.g.  lang_<languageCode>.inc). You can see a list  of 2 letter language codes
'    here: http://www.w3.org/WAI/ER/IG/ert/iso639.htm#2letter
'
' 2. Open the file "includes\PCCommon.inc" and add your language code to the list near the top of
'    the file that looks like:
'
'		garrValidLangs = Array("en", "es", "it")
'
' 3. In "includes\PCCommon.inc", include your language file below the list that looks like this:
'
'		<!-- #include file="lang_it.inc" -->
'		<!-- #include file="lang_es.inc" -->
'
' 4. Modify the line at the top of your language file that looks like the following, to have use the
'    the correct language code.
'
'		If IsActiveLanguage("en") Then
'
' 5. Translate the "SetText" lines below.  For example, change:
'
'		SetText "Pages", 	"Pages"
'
'	 to
'
'		SetText "Pages", 	"Pagine"
'
'
' 6. Refresh your web browser, and you should see your translations. If not, PaperCut could not
'    detect your default language.  To force your language to be used add the line to the bottom
'    of the "Config.inc" file (and change the language code to your language).
'
'		SetActiveLanguage("en")
'
' 7. Translate the text below which will be used on a simple page on our web site for speakers of
'    your language.  You and your organisation will receive acknowledgement of your contribution.
'    See here for a sample of what the web page will look like: http://www.papercut.biz/lang/english.htm
'
' 8. Send your translation file to support@papercut.biz, so other can make use of your translation
'
' ================== START OF TEXT FOR WEB SITE ==================

'PaperCut is the leading solution for print and internet resource management. PaperCut is now charging
'over a million users in more than 60 countries worldwide.

'PaperCut is a print and internet charging, quota and monitoring system for Windows networks. It was
'specifically developed to meet the need in schools and Universities to promote the responsible use of
'IT resources. It also has applications in business where there is a need to implement a user-pays system
'or silent monitoring.

'Install options include:

'    * Combined print and internet charging
'    * Print charging and monitoring only
'    * Internet charging and monitoring only

'A 40-day unrestricted Trial Version is available for download.

'Although PaperCut is not fully translated into [insert language], the PaperCut web tools have been translated.
'The PaperCut web tools provide features for both your administrators and users.
'
'Thanks to [insert name] from [insert organization] for contributing the PaperCut web tools translation.
'
' ================== END OF TEXT FOR WEB SITE ==================

' When translating this file, change "en" below to the appropriate code for your language
If IsActiveLanguage("ko") Then

	' The charset used for the webpages
	SetText "charset", 				"euc-kr"

	' Header/Footer
	SetText "WebTools", 			" "
	SetText "LoggedInAs", 			"α"
	SetText "LicensedTo",			"  ֽϴ :"
	SetText "PoweredBy", 			"ȸ %0%"
	SetText "RightsReserved", 		"All rights reserved"
	SetText "PaperCutTrial",		"PaperCut "
	SetText "TrialExpired",			"Ⱓ ϴ"
	SetText "TrialDaysRemaining",	"%0%  ҽϴ"
	SetText "NotLoggedIn",			"(αε )"

	SetText "MyDetails", 			" "
	SetText "MySummary", 			""
	SetText "UseTopUpCard", 		"ī"
	SetText "MyPrintJobs", 			"۾"
	SetText "MyNetUsage", 			"Ʈ Ȳ"
	SetText "MyTransactions", 		"óȲ"
	SetText "TransferFunds", 		"ϱ"

	SetText "UpdateCheck",			"Ʈ Ȯ"

	SetText "Admin", 				" "
	SetText "AdminHome", 			" "
	SetText "UserList", 			"ڸƮ"
	SetText "UserDetails", 			" "
	SetText "RecentPrintJobs", 		"ֱ ۾"
	SetText "PrintJobs", 			"۾"
	SetText "RecentNetUsage", 		"ֱ Ʈ "
	SetText "NetUsage", 			"Ʈ Ȳ"
	SetText "TransactionHistory",	"ֱ óȲ"

	SetText "RecentPrintLogsBy",	"ֱ ۾ : '%0%'"
	SetText "RecentTransactions",	"ֱ óȲ"
	SetText "RecentTransactionsFor","ֱ ó '%0%'"
	SetText "RecentNetUsageBy",		"ֱ Ʈ  '%0%'"
	SetText "TimeUsed",				" ð"
	SetText "DataUsed",				" 뷮"


	' Field/Column names
	SetText "Username", 			"̸"
	SetText "Credit", 				" Ʈ"
	SetText "PagesPrinted", 		"  "
	SetText "NetDataUsed", 			" 뷮"
	SetText "NetTimeUsed", 			" ð"
	SetText "Privilege", 			"ƯǺο"
	SetText "QuickAdd",				" ߰"
	SetText "QuickAdjust",   		""
    SetText "AdjustCredit",			"Ʈ :"

	SetText "Time", 				"ð"
	SetText "Date", 				"¥"
	SetText "User", 				""
	SetText "Printer", 				" "
	SetText "Document", 			"̸"
	SetText "Pages", 				""
	SetText "Cost", 				"ҵ Ʈ"
	SetText "Amount", 				"Ʈ"
	SetText "Comment", 				""
	SetText "CreditAfterTrans",		"ó Ʈ"
	SetText "Status", 				""
	SetText "TransactedBy", 		"ó"
	SetText "HoursAbbr", 			"ð"
	SetText "MBAbbr", 				"MB"


	SetText "Restricted", 			"ѵ"
	SetText "Unrestricted", 		""

	' Buttons/Actions
	SetText "Save",					""
	SetText "Search",				"ã"
	SetText "AddOne",				"1 ߰"
	SetText "AddFive",				"5 ߰"
	SetText "AddTen",				"10 ߰"
	SetText "ApplyAdjustment",		""
	SetText "JumpToUser",			" ڷ "
	SetText "Next",					""
	SetText "Previous",				""
	SetText "ModifyUsersCredit",	"%0%  Ʈ Ȯ"
	SetText "ModifyUserCredit",		"Ʈ Ȯ"
	SetText "ViewUserLogs", 		"%0%   Ȯ"
	SetText "ViewUserTrans", 		"%0%  óȲ Ȯ"
	SetText "ViewPrintLog",			"PRINT LOGȮ"
	SetText "ViewNetUsage",			" ó ȲȮ"

	'Usage Reports
	SetText "QuickReports",			" "
	SetText "AdhocReports",			"Ͽ"
	SetText "ReportName",			" ̸"
	SetText "Description",			"λȲ"

	SetText "UsageType",			" Ÿ"
	SetText "ReportType",			" Ÿ"
	SetText "Detailed",				"λ"
	SetText "SummaryByUser",		" ຸ"
	SetText "SummaryByPrinter",		" "
	SetText "Period",				"Ⱓ"
	SetText "SortBy",				"Ʈ"
	SetText "PrintStatus",			" "
	SetText "TotalCost",			" Ʈ"
	SetText "PrinterName", 			" ̸"
	SetText "PagesPerJob", 			"۾  Ʈ "
	SetText "RunReport",			" "
	SetText "RunReportExcel",		" "
	SetText "ReportFilters", 		"͸ "
	SetText "ReportSortOrder", 		""

    'Printer Status Selection
	SetText "Printed",				"Ʈ"
	SetText "Denied",				"źε"
	SetText "Cancelled",			"ҵ"
	SetText "Refunded",				""
	SetText "CancelledWithNoRefund",	""
	SetText "AllDocuments",	        "繮"

	SetText "ReportsNoNetCharging",	"α׷ ġ ʾ ͳ    ϴ."

	SetText "PeriodToday",			""
	SetText "PeriodWeek",			" "
	SetText "PeriodMonth",			" 30"
	SetText "Period3Months",		" 3"
	SetText "Period6Months",		" 6"
	SetText "PeriodAll",			" Ⱓ"

	SetText "HideReportParameters",	" Ķ "
	SetText "ShowReportParameters",	" Ķ ̱"

	SetText "PrintReports",			"Ʈ "
	SetText "NetReports",			"NET "

	SetText "TopPrintUsersJobs",	"  ۾ "
	SetText "TopPrintUsersJobsDesc"," 30ϰ   ۾ "
	SetText "TopPrintUsersPages",	"   Ʈ "
	SetText "TopPrintUsersPagesDesc"," 30ϰ    Ʈ "
	SetText "BusiestPrintersJobs",	"   "
	SetText "BusiestPrintersJobsDesc"," 30ϰ   "
	SetText "BusiestPrintersPages",	"   "
	SetText "BusiestPrintersPagesDesc"," 30ϰ    "
	SetText "PrintJobsExpensive",	"帹 Ʈ  "
	SetText "PrintJobsExpensiveDesc"," 30ϰ   Ʈ  "
	SetText "PrintJobsBiggest",		"뷮  ū ۾"
	SetText "PrintJobsBiggestDesc"," 30ϰ ۾    "
	SetText "PrintJobsBiggestDesc"," 30ϰ    "
	SetText "CancelledAndNotRefundedJobs","Ʈ  ҵ ۾"
	SetText "CancelledAndNotRefundedJobsDesc","ڰ  ۾"

	SetText "TopNetUsersData",		"  Ȩ  "
	SetText "TopNetUsersDataDesc",	" 30ϰ Ȩ  "
	SetText "TopNetUsersTime",		"  ۾ "
	SetText "TopNetUsersTimeDesc",	" 30ϰ ۾ð   "
	SetText "NetHighestDailyUseData", "Ϸ絿     "
	SetText "NetHighestDailyUseDataDesc"," 30ϰ 帹 ͸   "
	SetText "NetHighestDailyUseTime", "Ϸ 帹 ͳ ð"
	SetText "NetHighestDailyUseTimeDesc"," 30ϰ ͳ ð  "
	SetText "AdhocReportsDesc",		"   ų  ϴ  "



	SetText "ResultsNoData",		" ϴ."

	'TopUp Cards
	SetText "TopUpCardInstr",		"ȣ ְ ""ī "" ư ּ."
	SetText "TopUpCardInstrNote",	": ī带    ڿ 뺸˴ϴ."
	SetText "CardNumber",			"ī ȣ"

	SetText "TopUpSuccess",			" Ǿϴ."
	SetText "ActionLogged",			" ۾ ڿ 뺸˴ϴ."
	SetText "ErrorTUCExpired",		" ī ȣ Ⱓ Ǿϴ."
	SetText "ErrorTUCInvalid",		"ȿ  ī ȣ."
	SetText "ErrorTUCUnableToProcess", " ̻   ϴ."

	' Transfer
	SetText "TransferFrom",			" "
	SetText "AvailableFunds",		"밡 Ʈ"
	SetText "AmountToTransfer",		"  "
	SetText "TransferToUser",		"Ʈ  "
	SetText "Transfer",				""
	SetText	"TransferApplied",		" Ʈ Ǿϴ."
	SetText "ErrorTransUser",		"ùٸ ڸ Էϼ."
	SetText "ErrorTransCredit",		"Ʈ    ϴ."
	SetText "ErrorTransInvAmount",	"   Ʈ."
	SetText	"UnableToTransfer",		"Ʈ   ϴ."

	' Other Charges
	SetText	"OtherCharges",			"Ʈ "
	SetText	"UserToCharge",			"Ʈ  "
	SetText	"ChargeUser",			"Ʈ "
	SetText	"UnableToCharge",		" Ʈ   ϴ."
	SetText	"ChargeApplied",		"Ʈ   Ǿϴ."
	SetText "ChargeType",			"Ʈ  "
	SetText "AdditionalComment",	" "
	SetText "ChargeDiffUser",		"ٸ  Ʈ "
	SetText "AvailableCredit",		"Ʈ   ִ  "

	' Charge Types
	SetText "ChargeTypeOther",		"Ʈ  ɼ"

	SetText "OtherChargeType0",		" μ"
	SetText "OtherChargeType1",		"Transparencies"
	SetText "OtherChargeType2",		"Binding"
	SetText "OtherChargeType3",		"Other special paper"
	SetText "OtherChargeType4",		"Library fines"
	SetText "OtherChargeType5",		"Late payment fees"
	SetText "OtherChargeType6",		"Rental fees"

    'Refund
    SetText "RefundSuccess",        "ī尡  ߱޵Ǿϴ."
    SetText "RefundFailure",        "۾ ߽ϴ."
    SetText "Refund",               ""
    SetText "RefundConfirm",        "%0%  %1% Ʈ մϴ.  ұ?"
    SetText "RefundComment",        "Ʈ۾ Ǿϴ."

	'Transacted By
	SetText "TransByNetUse",		"net use"
	SetText "TransByPrintUse",		"print use"
	SetText "TransByAutomatic",		"ڵ"
	SetText "TransByTransTo",		"%0%  "
	SetText "TransByTransFrom",		"%0%  "

	' Admin Home
	SetText "Welcome",				"ȯմϴ."
	SetText "AdminInstr",			"%0%  ȳϼ.   Ͽ  , ٸ  Ʈ , ,   ۾   ֽϴ."
	SetText "UserAdmin",			"ڸƮ"
	SetText "ViewRecentPrintJobs",	"ֱ ۾"
	SetText "ViewRecentNetUsage",	"ֱ Ʈ"
	SetText "ViewRecentTransLog",	"ֱ óȲ"

	' Login page
	SetText "Login",                "α"
	SetText "LoginInstructions",    "ID "
	
	' Charges List
	SetText "Advanced",				"Advanced"
	SetText "ChargeRates",			"Charge Rates"
	SetText "PrinterCosts",			"Printer Costs"
	SetText "PageCost",				"Page Cost"
	SetText "DuplexDiscount",		"Duplex Discount"
	SetText "GrayscaleDiscount",	"Grayscale Discount"
	SetText "Details",				"Details"
	SetText "LargePaper",			"Large Paper"
	SetText "VeryLargePaper",		"Very Large Paper"
	
	SetText "DefaultGrayscaleCost",	"Default Grayscale Cost"
	SetText "DefaultColorCost",		"Default Color Cost"
	
	SetText "Size",					"Size"
	SetText "ColorCost",			"Color Cost"
	SetText "GrayscaleCost",		"Grayscale Cost"
	
	SetText "ExtraPerPage",			"extra per page"
	SetText "LessPerPage",			"less per page"
	SetText "Extra",				"extra"
	SetText "Less",					"less"
	SetText "PerMetre2",			"per sq. metre"
	SetText "PerFoot2",				"per sq. foot"
	SetText "PerPage",				"per page"
	
	SetText "NetCosts",				"Internet Costs"
	SetText "NetChargingType",		"Net Charging Model"
	SetText "DataCost",				"%0% per MB"
	SetText "TimeCost",				"%0% per %1% minute period"

	'Errors
	SetText "ErrorUserNotLoggedIn" ,"α ʿմϴ. ID ٸ ڿ ϼ."
	SetText "AnonAccessDisabled",   "ID ۾ ϰ ҷ Config.inc  ϼ."
	SetText "ErrorAnonAdminAccess", "ڸ ID ۾ ϰ   ֽϴ. ҷ  ASP  ؾ մϴ."
	SetText "ErrorCantFindUser",	"'%0%'  ϵ   Դϴ."
	SetText "ErrorUnexpectedError",	"ġ  . ڿ ϼ."
	SetText "ErrorDatabaseAccess",	"α׷  ̽   ϴ.  ħ ϼ."


	'PaperCut Enterprise
	SetText "Account",				""
	SetText "AccountList",			" Ʈ"
	SetText "AccountAdmin", 		" "
	SetText "ChooseOption",			" ɼ ϳ ϼ."


	SetText "AccountListInstr", 	" Ϸ, Ʒ  Ŭϼ"
	SetText "ClickToAddAcct", 		"Ǵ '߰'  Ŭϼ"

	SetText "AccountDetailsInstrAdd", " ߰ҷ, λ , '' ư ּ"
	SetText "ReturnWithoutAdd", 	"(߰ )"

	SetText "AccountDetailsInstrEdit", " Ϸ, Ʒ λ Ŭϼ"
	SetText "DeleteThisAccount", 	"  "
	SetText "ReturnWithoutEdit", 	"( )"

	SetText "ResetCounters",		"Ʈ ʱȭ"
	SetText "CounterStats",			"Ʈ Ȳ"

	SetText "ConfirmAcctDelete",	"   Ͻðڽϱ?"
	SetText "ConfirmResetCount",	"Ʈ  ʱȭ Ͻðڽϱ?"

	SetText "AcctIsActive", 		" Ǿϴ"
	SetText "AcctJobsNonInvoice",	"Account jobs to be non invoiceable"

	SetText "Legend", 				"Legend"
	SetText "MainAcct", 			" "
	SetText "ActiveAcct",			"Ȱȭ "
	SetText "InactiveAcct",			" Ȱȭ "
	SetText "JobCommentsReq",		"۾  ʿմϴ."
	SetText "JobCommentsOpt",		"۾  ûԴϴ."

	SetText "AccountDetails",		" λ"
	SetText "AcctType",				" "
	SetText "AccountTitle", 		" "
	SetText "Title", 				""
	SetText "AccountType", 			" "
	SetText "SubAcctOf", 			""
	SetText "Notes", 				""

	SetText "AcctAdded",			"  ߰Ǿϴ."
	SetText "AcctSaved",			"  Ǿϴ."
	SetText "CountReset",			"Ʈ  ʱȭ Ǿϴ."

	SetText "EntErrAcctDetails", 	"     ߻Ͽϴ."
	SetText "EntErrAcctAdd", 		" ߰߿  ߻Ͽϴ."
	SetText "EntErrAcctSave",		" ߿  ߻Ͽϴ."
	SetText "EntErrAcctDelete",		" ߿  ߻Ͽϴ."
	SetText "EntErrAcctTitle", 		"  ʼԴϴ."
	SetText "EntErrCountReset",		 "Ʈ ʱȭ߿  ߻Ͽϴ."


	SetText "EntRedirMsg", 			"  Ÿ ٸ.  5ʳ   Ÿ ʴ´ٸ Ʒ ũ Ŭϼ."
	SetText "ClickHereToCont",		"ҷ  ư ּ"

	SetText "CommentsRequired", 	"  մϴ."
	SetText "CommentsNone", 		"Ʈ ۾   뵵 ۼ ʾҽϴ."
	SetText "CommentsOpt", 			"Ʈ ۾   ûԴϴ."
	SetText "CommentsReq", 			"Ʈ ۾   ʼԴϴ."

End If
%>
