<%
' (c) Copyright 1999-2004 PaperCut Software Pty. Ltd.
'
' Dutch Translation
'
' To translate the PaperCut Web tools follow these steps:
'
' 1. Copy "includes\lang_en.inc" to a new file name appropriate for your language.
'    (e.g.  lang_<languageCode>.inc). You can see a list  of 2 letter language codes
'    here: http://www.w3.org/WAI/ER/IG/ert/iso639.htm#2letter
'
' 2. Open the file "includes\PCCommon.inc" and add your language code to the list near the top of
'    the file that looks like:
'
'		garrValidLangs = Array("en", "es", "it")
'
' 3. In "includes\PCCommon.inc", include your language file below the list that looks like this:
'
'		<!-- #include file="lang_it.inc" -->
'		<!-- #include file="lang_es.inc" -->
'
' 4. Modify the line at the top of your language file that looks like the following, to have use the
'    the correct language code.
'
'		If IsActiveLanguage("en") Then
'
' 5. Translate the "SetText" lines below.  For example, change:
'
'		SetText "Pages", 	"Pages"
'
'	 to
'
'		SetText "Pages", 	"Pagine"
'
'
' 6. Refresh your web browser, and you should see your translations. If not, PaperCut could not
'    detect your default language.  To force your language to be used add the line to the bottom
'    of the "Config.inc" file (and change the language code to your language).
'
'		SetActiveLanguage("en")
'
' 7. Translate the text below which will be used on a simple page on our web site for speakers of
'    your language.  You and your organisation will receive acknowledgement of your contribution.
'    See here for a sample of what the web page will look like: http://www.papercut.biz/lang/english.htm
'
' 8. Send your translation file to support@papercut.biz, so other can make use of your translation
'
' ================== START OF TEXT FOR WEB SITE ==================

'PaperCut is de oplossing om verantwoord met printergebruik en internetbronnen om te gaan.
'PaperCut heeft nu meer dan n miljoen betalende gebruikers in meer dan 40 landen over de hele wereld.
'PaperCut is een programma voor Windows netwerken, dat het internet- en printgebruik beheert.
'PaperCut is speciaal ontwikkelt om tegemoet te komen aan de specifieke wensen van onderwijsinstellingen. Het bevordert een verantwoordelijk gebruik van printers en Internet.

'Er zijn ook zakelijke toepassingen mogelijk, er kan een gebruikersbetaalsysteem en/of stil toezicht, gemplementeerd worden.

'De installatieopties bevatten:

'- Gecombineerde print- en internetbetaling
'- Printbetaling en toezicht
'- Internetbetaling en toezicht

'U kunt 40 dagen gebruikmaken van een te downloaden demo versie.

'Hoewel PaperCut niet volledig in het Nederlands is vertaald zijn de PC webtools wel vertaald.

'Deze webtools zijn te gebruiken voor zowel beheerders als gebruikers.

'Wij bedanken B. Schraag  van  OSG de Hogeberg  voor het vertalen van de  PaperCut  webtools.

'=============================================================================================================================================

'PaperCut is the leading solution for print and internet resource management. PaperCut is now charging
'over a million users in more than 40 countries worldwide.

'PaperCut is a print and internet charging, quota and monitoring system for Windows networks. It was
'specifically developed to meet the need in schools and Universities to promote the responsible use of
'IT resources. It also has applications in business where there is a need to implement a user-pays system
'or silent monitoring.

'Install options include:

'    * Combined print and internet charging
'    * Print charging and monitoring only
'    * Internet charging and monitoring only

'A 40-day unrestricted Trial Version is available for download.

'Although PaperCut is not fully translated into [insert language], the PaperCut web tools have been translated.
'The PaperCut web tools provide features for both your administrators and users.
'
'Thanks to [insert name] from [insert organization] for contributing the PaperCut web tools translation.
'
' ================== END OF TEXT FOR WEB SITE ==================

If IsActiveLanguage("nl") Then
	' The charset used for the webpages
	SetText "charset", 				"windows-1252"

	' Header/Footer
	SetText "WebTools", 			"Web Tools"
	SetText "LoggedInAs", 			"Aangemeld als"
	SetText "LicensedTo",			"Licentie voor"
	SetText "PoweredBy", 			"Powered by %0%"
	SetText "RightsReserved", 		"All rights reserved"
	SetText "PaperCutTrial",		"PaperCut tijdelijke versie"
	SetText "TrialExpired",			"Test periode verlopen"
	SetText "TrialDaysRemaining",		"%0% Dagen aktief"
	SetText "NotLoggedIn",			"(Niet ingelogd)"

	SetText "MyDetails", 			"Mijn Details"
	SetText "MySummary", 			"Overzicht"
	SetText "UseTopUpCard", 		"Opwaarderen"
	SetText "MyPrintJobs", 			"Printopdrachten"
	SetText "MyNetUsage", 			"Internet Gebruik"
	SetText "MyTransactions", 		"Transacties"
	SetText "TransferFunds", 		"Overboeken"

	SetText "UpdateCheck",			"Check For Updates"

	SetText "Admin", 				"Admin"
	SetText "AdminHome", 			"Admin Home"
	SetText "UserList", 			"Gebruikers Lijst"
	SetText "UserDetails", 			"Gebruiker Details"
	SetText "RecentPrintJobs", 		"Recente Printopdrachten"
	SetText "PrintJobs", 			"Printopdrachten"
	SetText "RecentNetUsage", 		"Recent Internet Gebruik"
	SetText "NetUsage", 			"Internet Gebruik"
	SetText "TransactionHistory",		"Transacties"

	SetText "RecentPrintLogsBy",	"Recente Printopdrachten door '%0%'"
	SetText "RecentTransactions",	"Recente Overboekingen"
	SetText "RecentTransactionsFor","Recente Overboekingen voor '%0%'"
	SetText "RecentNetUsageBy",		"Recent Internet Gebruik door '%0%'"
	SetText "TimeUsed",				"Tijd Verbruik"
	SetText "DataUsed",				"Data Verbruik"


	' Field/Column names
	SetText "Username", 			"Gebruikersnaam"
	SetText "Credit", 				"Tegoed"
	SetText "PagesPrinted", 		"Pagina's geprint"
	SetText "NetDataUsed", 			"Internet data gebruikt"
	SetText "NetTimeUsed", 			"Internet tijd gebruikt"
	SetText "Privilege", 			"Rechten"
	SetText "QuickAdd",				"Snel toevoegen"
	SetText "QuickAdjust",   		"Quick Adjustment"
    SetText "AdjustCredit",			"Adjust Credit:"

	SetText "Time", 			"Tijd"
	SetText "Date", 			"Datum"
	SetText "User", 			"Gebruiker"
	SetText "Printer", 			"Printer"
	SetText "Document", 		"Document"
	SetText "Pages", 			"Pagina's"
	SetText "Cost", 			"Prijs"
	SetText "Amount", 			"Afgeschreven"
	SetText "Comment", 			"Comment"
	SetText "CreditAfterTrans",	"Tegoed"
	SetText "Status", 			"Status"
	SetText "TransactedBy", 	"Omschrijving"
	SetText "HoursAbbr", 		"Uren"
	SetText "MBAbbr", 			"MB"


	SetText "Restricted", 		"Beperkt"
	SetText "Unrestricted", 	"Onbeperkt"

	' Buttons/Actions
	SetText "Save",				"Opslaan"
	SetText "Search",			"Zoeken"
	SetText "AddOne",			"Een toevoegen"
	SetText "AddFive",			"Vijf toevoegen"
	SetText "AddTen",			"Tien toevoegen"
	SetText "ApplyAdjustment",		"Apply"
	SetText "JumpToUser",		"Spring naar gebruiker"
	SetText "Next",				"Volgende"
	SetText "Previous",			"Vorige"
	SetText "ModifyUsersCredit",		"Verander %0%'s tegoed"
	SetText "ModifyUserCredit",		"Verander gebruikers tegoed"
	SetText "ViewUserLogs", 		"Bekijk %0%'s logs"
	SetText "ViewUserTrans", 		"View %0%'s transactions"
	SetText "ViewPrintLog",			"Bekijk print log"
	SetText "ViewNetUsage",			"Bekijk internet verbruik"

	'Usage Reports
	SetText "QuickReports",			"Quick Reports"
	SetText "AdhocReports",			"Adhoc Reports"
	SetText "ReportName",			"Report Name"
	SetText "Description",			"Description"

	SetText "UsageType",			"Usage type"
	SetText "ReportType",			"Report type"
	SetText "Detailed",				"Detailed logs"
	SetText "SummaryByUser",		"Summary by user"
	SetText "SummaryByPrinter",		"Summary by printer"
	SetText "Period",				"Period"
	SetText "SortBy",				"Sort By"
	SetText "PrintStatus",			"Print Status"
	SetText "TotalCost",			"Total cost"
	SetText "PrinterName", 			"Printer name"
	SetText "PagesPerJob", 			"Average pages per job"
	SetText "RunReport",			"Run Report"
	SetText "RunReportExcel",		"Export to Excel"
	SetText "ReportFilters", 		"Report Filters"
	SetText "ReportSortOrder", 		"Report Sort Order"

    'Printer Status Selection
	SetText "Printed",				"Printed"
	SetText "Denied",				"Denied"
	SetText "Cancelled",			"Cancelled"
	SetText "Refunded",				"Refunded"
	SetText "CancelledWithNoRefund",	"Cancelled with no refund"
	SetText "AllDocuments",	        "All Documents"

	SetText "ReportsNoNetCharging",	"Unable to run Internet usage report.  Net Charging is not installed."

	SetText "PeriodToday",			"Today"
	SetText "PeriodYesterday",		"Yesterday"
	SetText "PeriodLast24Hours",	"Last 24 hours"
	SetText "PeriodWeek",			"Last 7 days"
	SetText "PeriodMonth",			"Last 30 days"
	SetText "Period3Months",		"Last 3 months"
	SetText "Period6Months",		"Last 6 months"
	SetText "PeriodAll",			"All Data"

	SetText "HideReportParameters",	"Hide Report Parameters"
	SetText "ShowReportParameters",	"Show Report Parameters"

	SetText "PrintReports",			"Print Usage Reports"
	SetText "NetReports",			"Internet Usage Reports"

	SetText "TopPrintUsersJobs",	"Top Print Users (Print Jobs)"
	SetText "TopPrintUsersJobsDesc","Lists the top print users by number of print jobs over the past 30 days"
	SetText "TopPrintUsersPages",	"Top Print Users (Pages Printed)"
	SetText "TopPrintUsersPagesDesc","Lists the top print users by number of pages printed over the past 30 days"
	SetText "BusiestPrintersJobs",	"Busiest Printers (Print Jobs)"
	SetText "BusiestPrintersJobsDesc","Lists the busiest printers by number of print jobs over the past 30 days"
	SetText "BusiestPrintersPages",	"Busiest Printers (Pages Printed)"
	SetText "BusiestPrintersPagesDesc","Lists the busiest printers by number of pages printed over the past 30 days"
	SetText "PrintJobsExpensive",	"Most Expensive Print Jobs"
	SetText "PrintJobsExpensiveDesc","Lists the most expensive print jobs over the past 30 days"
	SetText "PrintJobsBiggest",		"Largest Print Jobs"
	SetText "PrintJobsBiggestDesc","Lists that print jobs with the most number of pages over the past 30 days"
	SetText "PrintJobsBiggestDesc","Lists that print jobs with the most number of pages over the past 30 days"
	SetText "CancelledAndNotRefundedJobs","Cancelled Print Jobs Not Refunded"
	SetText "CancelledAndNotRefundedJobsDesc","A list of print jobs manually cancelled but not refunded as they had fully or partially printed"

	SetText "TopNetUsersData",		"Top Internet Users (Data)"
	SetText "TopNetUsersDataDesc",	"Lists the top Internet users by data downloaded over the past 30 days"
	SetText "TopNetUsersTime",		"Top Internet Users (Time)"
	SetText "TopNetUsersTimeDesc",	"Lists the top Internet users by time used over the past 30 days"
	SetText "NetHighestDailyUseData", "Highest Daily Internet Use (Data)"
	SetText "NetHighestDailyUseDataDesc","Lists the users with the highest amount of data used in a day, over the past 30 days"
	SetText "NetHighestDailyUseTime", "Highest Daily Internet Use (Time)"
	SetText "NetHighestDailyUseTimeDesc","Lists the users with the highest amount of time used in a day, over the past 30 days"
	SetText "AdhocReportsDesc",		"Allows you to create customized print or internet usage reports that can be displayed on screen or exported to Excel"



	SetText "ResultsNoData",		"No data matches your report parameters"

	'TopUp Cards
	SetText "TopUpCardInstr",		"Voer het opwaardeernummer in en druk op de ""Opwaarderen"" knop."
	SetText "TopUpCardInstrNote",		"LET OP: Alle opwaardeer handelingen worden bijgehouden."
	SetText "CardNumber",			"Kaartnummer"

	SetText "TopUpSuccess",			"Opwaarderen is gelukt."
	SetText "ActionLogged",			"Deze gebeurtenis is geregistreerd"
	SetText "ErrorTUCExpired",		"Opwaardeerkaart is verlopen."
	SetText "ErrorTUCInvalid",		"Opwaardeerkaart nummer niet goed."
	SetText "ErrorTUCUnableToProcess", 	"De opwaardeerkaart kan niet verwerkt worden"

	' Transfer
	SetText "TransferFrom",			"Overboeken van"
	SetText "AvailableFunds",		"Beschikbaar tegoed"
	SetText "AmountToTransfer",		"Hoeveelheid overboeken"
	SetText "TransferToUser",		"Overboeken naar"
	SetText "Transfer",			"Overboeken"
	SetText "TransferApplied",		"Overboeking gelukt."
	SetText "ErrorTransUser",		"De gebruiker bestaat niet."
	SetText "ErrorTransCredit",		"Je hebt niet genoeg tegoed om over te boeken."
	SetText "ErrorTransInvAmount",		"Verkeerde hoeveelheid."
	SetText	"UnableToTransfer",		"Unable to transfer funds."

	' Other Charges
	SetText	"OtherCharges",			"Other Charges"
	SetText	"UserToCharge",			"User to charge"
	SetText	"ChargeUser",			"Charge User"
	SetText	"UnableToCharge",		"Unable to charge user."
	SetText	"ChargeApplied",		"Charge applied successfully."
	SetText "ChargeType",			"Charge type"
	SetText "AdditionalComment",	"Additional comment"
	SetText "ChargeDiffUser",		"Charge different user"
	SetText "AvailableCredit",		"Available Credit"

	' Charge Types
	SetText "ChargeTypeOther",		"Other charge"

	SetText "OtherChargeType0",		"Photo paper"
	SetText "OtherChargeType1",		"Transparencies"
	SetText "OtherChargeType2",		"Binding"
	SetText "OtherChargeType3",		"Other special paper"
	SetText "OtherChargeType4",		"Library fines"
	SetText "OtherChargeType5",		"Late payment fees"
	SetText "OtherChargeType6",		"Rental fees"

    'Refund
    SetText "RefundSuccess",        "Refund successfully issued."
    SetText "RefundFailure",        "Failed to refund print job."
    SetText "Refund",               "Refund"
    SetText "RefundConfirm",        "Refund user %0% with amount %1% ?"
    SetText "RefundComment",        "Refunded print job"

	'Transacted By
	SetText "TransByNetUse",		"internet gebruik"
	SetText "TransByPrintUse",		"printtikken"
	SetText "TransByAutomatic",		"automatisch"
	SetText "TransByTransTo",		"Overboeken naar %0%"
	SetText "TransByTransFrom",		"Overboeken van %0%"

	' Admin Home
	SetText "Welcome",			"Welkom"
	SetText "AdminInstr",			"Welkom bij de Web admin voor %0%. Je kunt vanuit je webbrowser simpele administratie verrichten. En recente printopdrachten bekijken."
	SetText "UserAdmin",			"Gebruikers Administratie"
	SetText "ViewRecentPrintJobs",		"Bekijk recente printopdrachten op deze server."
	SetText "ViewRecentNetUsage",		"Bekijk recent internet verbruik op deze server"
	SetText "ViewRecentTransLog",		"Bekijk recente Overboeking logs"

	' Login page
	SetText "Login",                "Login"
	SetText "LoginInstructions",    "Enter your login username to log into the PaperCut web tools interface."
	
	' Charges List
	SetText "Advanced",				"Advanced"
	SetText "ChargeRates",			"Charge Rates"
	SetText "PrinterCosts",			"Printer Costs"
	SetText "PageCost",				"Page Cost"
	SetText "DuplexDiscount",		"Duplex Discount"
	SetText "GrayscaleDiscount",	"Grayscale Discount"
	SetText "Details",				"Details"
	SetText "LargePaper",			"Large Paper"
	SetText "VeryLargePaper",		"Very Large Paper"
	
	SetText "DefaultGrayscaleCost",	"Default Grayscale Cost"
	SetText "DefaultColorCost",		"Default Color Cost"
	
	SetText "Size",					"Size"
	SetText "ColorCost",			"Color Cost"
	SetText "GrayscaleCost",		"Grayscale Cost"
	
	SetText "ExtraPerPage",			"extra per page"
	SetText "LessPerPage",			"less per page"
	SetText "Extra",				"extra"
	SetText "Less",					"less"
	SetText "PerMetre2",			"per sq. metre"
	SetText "PerFoot2",				"per sq. foot"
	SetText "PerPage",				"per page"
	
	SetText "NetCosts",				"Internet Costs"
	SetText "NetChargingType",		"Net Charging Model"
	SetText "DataCost",				"%0% per MB"
	SetText "TimeCost",				"%0% per %1% minute period"

	'Errors
	SetText "ErrorUserNotLoggedIn" ,	"Gebruiker niet aangemeld. Configureer IIS to disallow anonymous access."
	SetText "AnonAccessDisabled",   "Anonymous access is disabled. If you want to allow anonymous user access, set gblnAllowAnonymousAccess = True value in Config.inc."
	SetText "ErrorAnonAdminAccess", "Users authenticated using the 'anonymous' login form, are not allowed to access the Administration pages.  Change the permissions of the Admin ASP pages so that only Administrators can access these files."
	SetText "ErrorCantFindUser",		"Gebruiker '%0%' bestaat niet."
	SetText "ErrorUnexpectedError",		"Er is een onverwachte fout opgetreden. Neem contact op met de systeembeheerder."
	SetText "ErrorDatabaseAccess",		"Je hebt geen rechten om de PaperCut database te veranderen."


	'PaperCut Enterprise
	SetText "Account",			"Account"
	SetText "AccountList",		"Account Lijst"
	SetText "AccountAdmin", 	"Account Administratie"
	SetText "ChooseOption",		"Kies een van de volgende opties."


	SetText "AccountListInstr", 	"Om een account te wijzigen klik op een account uit de lijst hier onder"
	SetText "ClickToAddAcct", 		"Of klik om een account toe te voegen"

	SetText "AccountDetailsInstrAdd", 	"Om een account toe te voegen, vul de gegevens in en klik op Opslaan"
	SetText "ReturnWithoutAdd", 		"Annuleren"

	SetText "AccountDetailsInstrEdit", 	"Wijzig de gegevens en klik op Opslaan"
	SetText "DeleteThisAccount", 		"Verwijder dit account"
	SetText "ReturnWithoutEdit", 		"Annuleren"

	SetText "ResetCounters",		"Reset tellers"
	SetText "CounterStats",			"Teller statistieken"

	SetText "ConfirmAcctDelete",	"Weet je zeker dat je dit account wilt verwijderen?"
	SetText "ConfirmResetCount",	"Weet je zeker dat je de tellers voor dit account wilt resetten?"

	SetText "AcctIsActive", 		"Account is actief"
	SetText "AcctJobsNonInvoice",		"Account opdrachten to be non invoiceable"

	SetText "Legend", 			"Legenda"
	SetText "MainAcct", 		"Hoofd Account"
	SetText "ActiveAcct",		"Actieve Accounten"
	SetText "InactiveAcct",		"Inactieve Accounten"
	SetText "JobCommentsReq",	"Opdracht Commentaar Verplicht"
	SetText "JobCommentsOpt",	"Opdracht Commentaar Optioneel"

	SetText "AccountDetails",	"Account Details"
	SetText "AcctType",			"Account Type"
	SetText "AccountTitle", 	"Account Naam"
	SetText "Title", 			"Naam"
	SetText "AccountType", 		"Account Type"
	SetText "SubAcctOf", 		"Sub account van"
	SetText "Notes", 			"Notities"

	SetText "AcctAdded",		"Het account is successvol toegevoegd"
	SetText "AcctSaved",		"Het account is successvol opgeslagen"
	SetText "CountReset",		"De Tellers zijn successvol gereset"

	SetText "EntErrAcctDetails", 	"De volgende problemen zijn gevonden "
	SetText "EntErrAcctAdd", 		"Er is een fout opgetreden bij het toevoegen van het account"
	SetText "EntErrAcctSave",		"Er is een fout opgetreden bij het  opslaan van het account"
	SetText "EntErrAcctDelete",		"Er is een fout opgetreden bij het  verwijderen van het account"
	SetText "EntErrAcctTitle", 		"De accountnaam moet ingevuld worden"
	SetText "EntErrCountReset",		 "Er is een fout opgetreden bij het resetten van de tellers"


	SetText "EntRedirMsg", 			"Een ogenblik geduld aub."
	SetText "ClickHereToCont",		"Klik hier om door te gaan"

	SetText "CommentsRequired", 	"Commentaar noodzakelijk"
	SetText "CommentsNone", 		"geen commentaar voor de print opdracht"
	SetText "CommentsOpt", 			"Commentaar optioneel voor printopdrachten"
	SetText "CommentsReq", 			"Commentaar noodzakelijk voor printopdrachten"

End If
%>
