<%
' (c) Copyright 1999-2004 PaperCut Software Pty. Ltd.
'
' English Translation
'
' To translate the PaperCut Web tools follow these steps:
'
' 1. Copy "includes\lang_en.inc" to a new file name appropriate for your language.
'    (e.g.  lang_<languageCode>.inc). You can see a list  of 2 letter language codes
'    here: http://www.w3.org/WAI/ER/IG/ert/iso639.htm#2letter
'
' 2. Open the file "includes\PCCommon.inc" and add your language code to the list near the top of
'    the file that looks like:
'
'		garrValidLangs = Array("en", "es", "it")
'
' 3. In "includes\PCCommon.inc", include your language file below the list that looks like this:
'
'		<!-- #include file="lang_it.inc" -->
'		<!-- #include file="lang_es.inc" -->
'
' 4. Modify the line at the top of your language file that looks like the following, to have use the
'    the correct language code.
'
'		If IsActiveLanguage("en") Then
'
' 5. Translate the "SetText" lines below.  For example, change:
'
'		SetText "Pages", 	"Pages"
'
'	 to
'
'		SetText "Pages", 	"Pagine"
'
'
' 6. Refresh your web browser, and you should see your translations. If not, PaperCut could not
'    detect your default language.  To force your language to be used add the line to the bottom
'    of the "Config.inc" file (and change the language code to your language).
'
'		SetActiveLanguage("en")
'
' 7. Translate the text below which will be used on a simple page on our web site for speakers of
'    your language.  You and your organisation will receive acknowledgement of your contribution.
'    See here for a sample of what the web page will look like: http://www.papercut.biz/lang/english.htm
'
' 8. Send your translation file to support@papercut.biz, so other can make use of your translation
'
' ================== START OF TEXT FOR WEB SITE ==================

'PaperCut is the leading solution for print and internet resource management. PaperCut is now charging
'over a million users in more than 60 countries worldwide.

'PaperCut is a print and internet charging, quota and monitoring system for Windows networks. It was
'specifically developed to meet the need in schools and Universities to promote the responsible use of
'IT resources. It also has applications in business where there is a need to implement a user-pays system
'or silent monitoring.

'Install options include:

'    * Combined print and internet charging
'    * Print charging and monitoring only
'    * Internet charging and monitoring only

'A 40-day unrestricted Trial Version is available for download.

'Although PaperCut is not fully translated into [insert language], the PaperCut web tools have been translated.
'The PaperCut web tools provide features for both your administrators and users.
'
'Thanks to [insert name] from [insert organization] for contributing the PaperCut web tools translation.
'
' ================== END OF TEXT FOR WEB SITE ==================

' When translating this file, change "en" below to the appropriate code for your language
If IsActiveLanguage("de") Then

	' The charset used for the webpages
	SetText "charset", 				"windows-1252"

	' Header/Footer
	SetText "WebTools", 			"Web Tools"
	SetText "LoggedInAs", 			"Angemeldet als"
	SetText "LicensedTo",			"Lizenziert fr"
	SetText "PoweredBy", 			"Powered by %0%"
	SetText "RightsReserved", 		"All rights reserved"
	SetText "PaperCutTrial",		"PaperCut Evaluationsversion"
	SetText "TrialExpired",			"Testperiode abgelaufen"
	SetText "TrialDaysRemaining",		"%0% Tage verbleiben"
	SetText "NotLoggedIn",			"(nicht angemldet)"

	SetText "MyDetails", 			"Meine Details"
	SetText "MySummary", 			"Meine Zusammenfassung"
	SetText "UseTopUpCard", 		"TopUp Karte benutzen"
	SetText "MyPrintJobs", 			"Meine Druckauftge"
	SetText "MyNetUsage", 			"Meine Netznutzung"
	SetText "MyTransactions", 		"Meine Transaktionen"
	SetText "TransferFunds", 		"Guthaben bertragen"

	SetText "UpdateCheck",			"Updates berprfen"

	SetText "Admin", 			"Admin"
	SetText "AdminHome", 			"Admin Home"
	SetText "UserList", 			"Benutzerliste"
	SetText "UserDetails", 			"Benutzerdetails"
	SetText "RecentPrintJobs", 		"Letzte Druckauftrge"
	SetText "PrintJobs", 			"Druckauftrge"
	SetText "RecentNetUsage", 		"Letzte Netznutzung"
	SetText "NetUsage", 			"Net usage"
	SetText "TransactionHistory",		"Transaction History"

	SetText "RecentPrintLogsBy",		"Letzte Druckauftrge nach '%0%'"
	SetText "RecentTransactions",		"Letzte Druckauftrge"
	SetText "RecentTransactionsFor",	"Letzte Transaktionen nach '%0%'"
	SetText "RecentNetUsageBy",		"Letzte Netznutzung nach '%0%'"
	SetText "TimeUsed",			"genutzte Zeit"
	SetText "DataUsed",			"genutzte Daten"


	' Field/Column names
	SetText "Username", 			"Benuzername"
	SetText "Credit", 			"Kredit"
	SetText "PagesPrinted", 		"gedruckte Seiten"
	SetText "NetDataUsed", 			"genutzte Daten"
	SetText "NetTimeUsed", 			"genutzte Zeit"
	SetText "Privilege", 			"Privilege"
	SetText "QuickAdd",			"Quick Add"
	SetText "QuickAdjust",   		"Quick Adjustment"
    SetText "AdjustCredit",  "Adjust Credit:"

	SetText "Time", 			"Zeit"
	SetText "Date", 			"Datum"
	SetText "User", 			"Benutzer"
	SetText "Printer", 			"Drucker"
	SetText "Document", 			"Dokument"
	SetText "Pages", 			"Seiten"
	SetText "Cost", 			"Kosten"
	SetText "Amount", 			"Betrag"
	SetText "Comment", 			"Bemerkung"
	SetText "CreditAfterTrans",		"Kredit nach Trans."
	SetText "Status", 			"Status"
	SetText "TransactedBy", 		"Ausgefhrt von"
	SetText "HoursAbbr", 			"Std"
	SetText "MBAbbr", 			"MB"


	SetText "Restricted", 			"beschrnkt"
	SetText "Unrestricted", 		"unbeschrnkt"

	' Buttons/Actions
	SetText "Save",				"speichern"
	SetText "Search",			"suchen"
	SetText "AddOne",			"1 hinzufhrn"
	SetText "AddFive",			"5 hinzufgen"
	SetText "AddTen",			"10 hinzufgen"
	SetText "ApplyAdjustment",		"Apply"
	SetText "JumpToUser",			"zu Benutzer"
	SetText "Next",				"weiter"
	SetText "Previous",			"zurck"
	SetText "ModifyUsersCredit",		"%0%'s Kredit bearbeiten"
	SetText "ModifyUserCredit",		"Benutzerkredit bearbeiten"
	SetText "ViewUserLogs", 		"%0%'s Log anzeigen"
	SetText "ViewUserTrans", 		"%0%'s Transaktionen anzeigen"
	SetText "ViewPrintLog",			"Printlog anzeigen"
	SetText "ViewNetUsage",			"Netzlog anzeigen"

	'Usage Reports
	SetText "QuickReports",			"Kurz Berichte"
	SetText "AdhocReports",			"Adhoc Berichte"
	SetText "ReportName",			"Berichtsname"
	SetText "Description",			"Beschreibung"

	SetText "UsageType",			"Nutzungstyp"
	SetText "ReportType",			"Berichtstyp"
	SetText "Detailed",			"Detaillog"
	SetText "SummaryByUser",		"Zusammenfassung nach Benutzer"
	SetText "SummaryByPrinter",		"Zusammenfassung nach Drucker"
	SetText "Period",			"Periode"
	SetText "SortBy",			"Sortieren"
	SetText "PrintStatus",			"Druckstatus"
	SetText "TotalCost",			"Totalkosten"
	SetText "PrinterName", 			"Druckername"
	SetText "PagesPerJob", 			"Durchschnittliche Seiten pro Auftrag"
	SetText "RunReport",			"Bericht ausfhren"
	SetText "RunReportExcel",		"in Excel exportieren"
	SetText "ReportFilters", 		"Berichtsfilter"
	SetText "ReportSortOrder", 		"Berichts-Sortierung"

    'Printer Status Selection
	SetText "Printed",			"Gedruckt"
	SetText "Denied",			"Abgelehnt"
	SetText "Cancelled",				"Cancelled"
	SetText "Refunded",				"Refunded"
	SetText "CancelledWithNoRefund",	"Cancelled with no refund"
	SetText "AllDocuments",	        "All Documents"

	SetText "ReportsNoNetCharging",		"Internetnutzungsbericht konnte nicht ausgefhrt werden. Netzverrechnung ist nicht installiert."

	SetText "PeriodToday",			"Heute"
	SetText "PeriodWeek",			"Letzte 7 Tage"
	SetText "PeriodMonth",			"Letzte 30 Tage"
	SetText "Period3Months",		"Letzte 3 Monate"
	SetText "Period6Months",		"Letzte 6 Monate"
	SetText "PeriodAll",			"Alle Daten"

	SetText "HideReportParameters",		"Berichtsparameter unsichtbar"
	SetText "ShowReportParameters",		"Berichtsparameter anzeigen"

	SetText "PrintReports",			"Nutzungsbericht drucken"
	SetText "NetReports",			"Internetnutzungsbericht drucken"

	SetText "TopPrintUsersJobs",		"Benutzer mit den meisten Druckauftrge"
	SetText "TopPrintUsersJobsDesc",	"Benutzer mit den meisten Druckauftrge whrend der letzten 30 Tage anzeigen"
	SetText "TopPrintUsersPages",		"Benutzer mit den meisten gedruckten Seiten"
	SetText "TopPrintUsersPagesDesc",	"Benutzer mit den meisten gedruckten Seiten whrend der letzten 30 Tagen anzeigen"
	SetText "BusiestPrintersJobs",		"Meist genutzte Drucker (Auftge)"
	SetText "BusiestPrintersJobsDesc",	"Meist genutzte Drucker der letzten 30 Tage anzeigen (Auftrge)"
	SetText "BusiestPrintersPages",		"Meist genutzte Drucker (Seiten)"
	SetText "BusiestPrintersPagesDesc",	"Meist genutzte Drucker der letzten 30 Tage anzeigen (Seiten)"
	SetText "PrintJobsExpensive",		"Teuerste Druckauftrge"
	SetText "PrintJobsExpensiveDesc",	"Teuerste Druckauftrger der letzten 30 Tage"
	SetText "PrintJobsBiggest",		"Grsste Druckauftrge (Seiten)"
	SetText "PrintJobsBiggestDesc",		"Grsste Druckauftrge der letzten 30 Tage (Seiten)"
	SetText "PrintJobsBiggestDesc","Lists that print jobs with the most number of pages over the past 30 days"
	SetText "CancelledAndNotRefundedJobs","Cancelled Print Jobs Not Refunded"
	SetText "CancelledAndNotRefundedJobsDesc","A list of print jobs manually cancelled but not refunded as they had fully or partially printed"

	SetText "TopNetUsersData",		"Benutzer mit den meisten Daten"
	SetText "TopNetUsersDataDesc",		"Benutzer mit den meisten Daten der letzten 30 Tage anzeigen"
	SetText "TopNetUsersTime",		"Benutzer mit der meisten online Zeit"
	SetText "TopNetUsersTimeDesc",		"Benutzer mit der meisten online Zeit der letzten 30 Tage anzeigen"
	SetText "NetHighestDailyUseData", 	"Hchste Internetnutzung/Tag (Daten)"
	SetText "NetHighestDailyUseDataDesc",	"Hchste Internetnutzung/Tag der letzten 30 Tage (Daten)"
	SetText "NetHighestDailyUseTime", 	"Hchste Internetnutzung/Tag (Zeit)"
	SetText "NetHighestDailyUseTimeDesc",	"Hchste Internetnutzung/Tag der letzten 30 Tage (Zeit)"
	SetText "AdhocReportsDesc",		"Ermglicht Ihnen eigen Berichte ber die Drucker- oder Internetnutzung zu erstellen (Am Bildschirm oder Excelexport)."



	SetText "ResultsNoData",		"Keine Daten fr die eingegebenen Berichtsparameter"

	'TopUp Cards
	SetText "TopUpCardInstr",		"Geben Sie TopUp Kartennummer ein und drcken ""TopUp Karte benutzen""."
	SetText "TopUpCardInstrNote",		"Hinweis: Jegliche Nutzung der TopUp Karte wird protokolliert."
	SetText "CardNumber",			"Kartennummer"

	SetText "TopUpSuccess",			"TopUp Karte erfolgreich verwendet."
	SetText "ActionLogged",			"Die Aktion wurde gelogt."
	SetText "ErrorTUCExpired",		"TopUp Karte abgelaufen."
	SetText "ErrorTUCInvalid",		"Ungltige TopUp Kartennummer."
	SetText "ErrorTUCUnableToProcess", 	"TopUp Karte konnte nicht verarbeitet werden"

	' Transfer
	SetText "TransferFrom",			"Transfer von"
	SetText "AvailableFunds",		"Verfgbares Guthaben"
	SetText "AmountToTransfer",		"Transferbetrag"
	SetText "TransferToUser",		"Transfer an Benutzer"
	SetText "Transfer",			"Transfer"
	SetText	"TransferApplied",		"Transfer erolgreich"
	SetText "ErrorTransUser",		"Der Benutzer, dem Sie ein Guthaben bertragen wollen, existiert nicht."
	SetText "ErrorTransCredit",		"Sie haben nicht genug Kredit um diesen Betrag zu transferieren."
	SetText "ErrorTransInvAmount",		"Ungltiger Betrage."
	SetText	"UnableToTransfer",		"Guthaben konnte nicht transferiert werden."

	' Other Charges
	SetText	"OtherCharges",			"andere Verrechung"
	SetText	"UserToCharge",			"Zu belastenden Benutzer"
	SetText	"ChargeUser",			"Benutzer verrechnet"
	SetText	"UnableToCharge",		"Benutzer konnte nicht belastet werden."
	SetText	"ChargeApplied",		"Verrechnung erfolgreich zugewiesen."
	SetText "ChargeType",			"Kartentyp"
	SetText "AdditionalComment",		"weitere Bemerkung"
	SetText "ChargeDiffUser",		"anderem Benutzer verrechnen"
	SetText "AvailableCredit",		"Verfgbarer Kredit"

	' Charge Types
	SetText "ChargeTypeOther",		"andere Verrechnung"

	SetText "OtherChargeType0",		"Photopapier"
	SetText "OtherChargeType1",		"Transparenz"
	SetText "OtherChargeType2",		"Binden"
	SetText "OtherChargeType3",		"Anderes Spezialpapier"
	SetText "OtherChargeType4",		"Library fines"
	SetText "OtherChargeType5",		"Verzugskosten"
	SetText "OtherChargeType6",		"Mietkosten"

    'Refund
    SetText "RefundSuccess",        "Refund successfully issued."
    SetText "RefundFailure",        "Failed to refund print job."
    SetText "Refund",               "Refund"
    SetText "RefundConfirm",        "Refund user %0% with amount %1% ?"
    SetText "RefundComment",        "Refunded print job"

	'Transacted By
	SetText "TransByNetUse",		"Netznutzung"
	SetText "TransByPrintUse",		"Drucknutzung"
	SetText "TransByAutomatic",		"automatisch"
	SetText "TransByTransTo",		"Transferieren zu %0%"
	SetText "TransByTransFrom",		"Transferieren von %0%"

	' Admin Home
	SetText "Welcome",			"Wilkommen"
	SetText "AdminInstr",			"Wilkommen zur Webadministration von %0%. Die Grundadministration sowie die letzten Auftrge auf diesem Server knnen Sie mit Ihrem Webbrowser verwalten."
	SetText "UserAdmin",			"Benutzeradministration"
	SetText "ViewRecentPrintJobs",		"Letzte Druckauftrge von diesem Server anzeigen"
	SetText "ViewRecentNetUsage",		"Letzte Netznutzung von diesem Server anzeigen"
	SetText "ViewRecentTransLog",		"Transaktionslog von diesem Server anzeigen"

	' Login page
	SetText "Login",                "Login"
	SetText "LoginInstructions",    "Enter your login username to log into the PaperCut web tools interface."
	
	' Charges List
	SetText "Advanced",				"Advanced"
	SetText "ChargeRates",			"Charge Rates"
	SetText "PrinterCosts",			"Printer Costs"
	SetText "PageCost",				"Page Cost"
	SetText "DuplexDiscount",		"Duplex Discount"
	SetText "GrayscaleDiscount",	"Grayscale Discount"
	SetText "Details",				"Details"
	SetText "LargePaper",			"Large Paper"
	SetText "VeryLargePaper",		"Very Large Paper"
	
	SetText "DefaultGrayscaleCost",	"Default Grayscale Cost"
	SetText "DefaultColorCost",		"Default Color Cost"
	
	SetText "Size",					"Size"
	SetText "ColorCost",			"Color Cost"
	SetText "GrayscaleCost",		"Grayscale Cost"
	
	SetText "ExtraPerPage",			"extra per page"
	SetText "LessPerPage",			"less per page"
	SetText "Extra",				"extra"
	SetText "Less",					"less"
	SetText "PerMetre2",			"per sq. metre"
	SetText "PerFoot2",				"per sq. foot"
	SetText "PerPage",				"per page"
	
	SetText "NetCosts",				"Internet Costs"
	SetText "NetChargingType",		"Net Charging Model"
	SetText "DataCost",				"%0% per MB"
	SetText "TimeCost",				"%0% per %1% minute period"

	'Errors
	SetText "ErrorUserNotLoggedIn" ,	"Benutzer nicht angemeldet. IIS muss fr anonmen Zugriff gesperrt werden."
	SetText "AnonAccessDisabled",   "Anonymous access is disabled. If you want to allow anonymous user access, set gblnAllowAnonymousAccess = True value in Config.inc."
	SetText "ErrorAnonAdminAccess", "Users authenticated using the 'anonymous' login form, are not allowed to access the Administration pages.  Change the permissions of the Admin ASP pages so that only Administrators can access these files."
	SetText "ErrorCantFindUser",		"Der Benutzer '%0%' konnte in der Datenbank nicht gefunden werden."
	SetText "ErrorUnexpectedError",		"Unerwarteter Fehler! Bitte inofrmieren Sie den Systemadministrator."
	SetText "ErrorDatabaseAccess",		"Sie haben keine Berechtigung die PaperCut Datenbank zu bearbeiten. Lesen Sie das Handbuch bezglich der Sicherheitseinstellungen fr das Web-Administration Tool."


	'PaperCut Enterprise
	SetText "Account",			"Konto"
	SetText "AccountList",			"Kontenliste"
	SetText "AccountAdmin", 		"Kontenadministration"
	SetText "ChooseOption",			"Whlen Sie eine der folgenden Optionen."


	SetText "AccountListInstr", 		"Um ein Konto zu bearbeiten, klicken Sie auf den Kontentitel"
	SetText "ClickToAddAcct", 		"oder klicken Sie 'Hinzufgen', um ein Konto hinzuzufgen"

	SetText "AccountDetailsInstrAdd", 	"Um ein  Konto hinzuzufgen geben Sie die Details ein und klicken den 'Speichern' Knopf"
	SetText "ReturnWithoutAdd", 		"Zur Kontenliste ohne Konto hinzuzufgen"

	SetText "AccountDetailsInstrEdit", 	"Um ein Konto zu bearbeiten ndern Sie die Details und klicken den 'Speichern' Knopf"
	SetText "DeleteThisAccount", 		"Konto lschen"
	SetText "ReturnWithoutEdit", 		"Zur Kontenliste ohne speichern der nderungen"

	SetText "ResetCounters",		"Zhler zurcksetzen"
	SetText "CounterStats",			"Zhlerstatistik"

	SetText "ConfirmAcctDelete",		"Mchten Sie dieses Konto wirklich lschen?"
	SetText "ConfirmResetCount",		"Mchten Sie den Zhler fr dieses Konto wirklich zurcksetzen?"

	SetText "AcctIsActive", 		"Konto ist aktiv"
	SetText "AcctJobsNonInvoice",		"nicht verrechenbare Druckauftrge"

	SetText "Legend", 			"Legende"
	SetText "MainAcct", 			"Hauptkonto"
	SetText "ActiveAcct",			"aktives Konto"
	SetText "InactiveAcct",			"deaktiviertes Konto"
	SetText "JobCommentsReq",		"Auftragsbemerkung obligatorisch"
	SetText "JobCommentsOpt",		"Auftragsbemerkung optional"

	SetText "AccountDetails",		"Kontodetail"
	SetText "AcctType",			"Kontotyp"
	SetText "AccountTitle", 		"Kontoname"
	SetText "Title", 			"Titel"
	SetText "AccountType", 			"Kontotyp"
	SetText "SubAcctOf", 			"Unterkonto von"
	SetText "Notes", 			"Hinweise"

	SetText "AcctAdded",			"Das Konto wurde erfolgreich hinzugefgt"
	SetText "AcctSaved",			"Das Konto wurde erfolgreich gespeichert"
	SetText "CountReset",			"Der Zhler wurde erfolgreich zurckgesetzt"

	SetText "EntErrAcctDetails", 		"Folgende Fehler wurden mit den Kontendeatils gefunden"
	SetText "EntErrAcctAdd", 		"Beim Hinzufgen des Kontos ist ein Fehler aufgetreten"
	SetText "EntErrAcctSave",		"Beim Speichern des Kontos ist ein Fehler aufgetreten"
	SetText "EntErrAcctDelete",		"Beim Lschen des Kontos ist ein Fehler aufgetreten"
	SetText "EntErrAcctTitle", 		"Sie mssen den Kontentitel eingeben"
	SetText "EntErrCountReset",		"Beim Zurcksetzen des Zhlers ist ein Fehler aufgetreten"


	SetText "EntRedirMsg", 			"Bitte warten. Wenn die Seite nicht innerhalb 5 Sekunden geladen wird, klicken Sie bitte auf den nachfolgenden Link"
	SetText "ClickHereToCont",		"Klicken Sie hier fr weiter"

	SetText "CommentsRequired", 		"Bemerkungen erforderlich"
	SetText "CommentsNone", 		"keine Bemerkungen"
	SetText "CommentsOpt", 			"Bemerkung fakultativ"
	SetText "CommentsReq", 			"Bemerkung obligatoisch"

End If
%>