<%
' (c) Copyright 1999-2004 PaperCut Software Pty. Ltd.
'
' English Translation
'
' To translate the PaperCut Web tools follow these steps:
'
' 1. Copy "includes\lang_en.inc" to a new file name appropriate for your language.
'    (e.g.  lang_<languageCode>.inc). You can see a list  of 2 letter language codes
'    here: http://www.w3.org/WAI/ER/IG/ert/iso639.htm#2letter
'
' 2. Open the file "includes\PCCommon.inc" and add your language code to the list near the top of
'    the file that looks like:
'
'		garrValidLangs = Array("en", "es", "it")
'
' 3. In "includes\PCCommon.inc", include your language file below the list that looks like this:
'
'		<!-- #include file="lang_it.inc" -->
'		<!-- #include file="lang_es.inc" -->
'
' 4. Modify the line at the top of your language file that looks like the following, to have use the
'    the correct language code.
'
'		If IsActiveLanguage("en") Then
'
' 5. Translate the "SetText" lines below.  For example, change:
'
'		SetText "Pages", 	"Pages"
'
'	 to
'
'		SetText "Pages", 	"Pagine"
'
'
' 6. Refresh your web browser, and you should see your translations. If not, PaperCut could not
'    detect your default language.  To force your language to be used add the line to the bottom
'    of the "Config.inc" file (and change the language code to your language).
'
'		SetActiveLanguage("en")
'
' 7. Translate the text below which will be used on a simple page on our web site for speakers of
'    your language.  You and your organisation will receive acknowledgement of your contribution.
'    See here for a sample of what the web page will look like: http://www.papercut.biz/lang/english.htm
'
' 8. Send your translation file to support@papercut.biz, so other can make use of your translation
'
' ================== START OF TEXT FOR WEB SITE ==================

'PaperCut is the leading solution for print and internet resource management. PaperCut is now charging
'over a million users in more than 60 countries worldwide.

'PaperCut is a print and internet charging, quota and monitoring system for Windows networks. It was
'specifically developed to meet the need in schools and Universities to promote the responsible use of
'IT resources. It also has applications in business where there is a need to implement a user-pays system
'or silent monitoring.

'Install options include:

'    * Combined print and internet charging
'    * Print charging and monitoring only
'    * Internet charging and monitoring only

'A 40-day unrestricted Trial Version is available for download.

'Although PaperCut is not fully translated into [insert language], the PaperCut web tools have been translated.
'The PaperCut web tools provide features for both your administrators and users.
'
'Thanks to [insert name] from [insert organization] for contributing the PaperCut web tools translation.
'
' ================== END OF TEXT FOR WEB SITE ==================

' When translating this file, change "en" below to the appropriate code for your language
If IsActiveLanguage("en") Then

	' The charset used for the webpages
	SetText "charset", 				"windows-1252"

	' Header/Footer
	SetText "WebTools", 			"Web Tools"
	SetText "LoggedInAs", 			"Logged in as"
	SetText "LicensedTo",			"Licensed to"
	SetText "PoweredBy", 			"Powered by %0%"
	SetText "RightsReserved", 		"All rights reserved"
	SetText "PaperCutTrial",		"PaperCut trial version"
	SetText "TrialExpired",			"Trial period expired"
	SetText "TrialDaysRemaining",	"%0% days remaining"
	SetText "NotLoggedIn",			"(not logged in)"

	SetText "MyDetails", 			"My Details"
	SetText "MySummary", 			"My Summary"
	SetText "UseTopUpCard", 		"Use Card"
	SetText "MyPrintJobs", 			"My Print Jobs"
	SetText "MyNetUsage", 			"My Net Usage"
	SetText "MyTransactions", 		"My Transactions"
	SetText "TransferFunds", 		"Transfer Funds"

	SetText "UpdateCheck",			"Check For Updates"

	SetText "Admin", 				"Admin"
	SetText "AdminHome", 			"Admin Home"
	SetText "UserList", 			"User List"
	SetText "UserDetails", 			"User Details"
	SetText "RecentPrintJobs", 		"Recent Print Jobs"
	SetText "PrintJobs", 			"Print jobs"
	SetText "RecentNetUsage", 		"Recent Net Usage"
	SetText "NetUsage", 			"Net usage"
	SetText "TransactionHistory",	"Transaction History"

	SetText "RecentPrintLogsBy",	"Recent Print Logs by '%0%'"
	SetText "RecentTransactions",	"Recent Transactions"
	SetText "RecentTransactionsFor","Recent Transactions for '%0%'"
	SetText "RecentNetUsageBy",		"Recent Net Usage by '%0%'"
	SetText "TimeUsed",				"Time Used"
	SetText "DataUsed",				"Data Used"


	' Field/Column names
	SetText "Username", 			"Username"
	SetText "Credit", 				"Credit"
	SetText "PagesPrinted", 		"Pages printed"
	SetText "NetDataUsed", 			"Net data used"
	SetText "NetTimeUsed", 			"Net time used"
	SetText "Privilege", 			"Privilege"
	SetText "QuickAdd",				"Quick Add"
	SetText "QuickAdjust",   		"Quick Adjustment"
    SetText "AdjustCredit",			"Adjust Credit:"

	SetText "Time", 				"Time"
	SetText "Date", 				"Date"
	SetText "User", 				"User"
	SetText "Printer", 				"Printer"
	SetText "Document", 			"Document"
	SetText "Pages", 				"Pages"
	SetText "Cost", 				"Cost"
	SetText "Amount", 				"Amount"
	SetText "Comment", 				"Transaction Comment"
	SetText "CreditAfterTrans",		"Credit After Trans."
	SetText "Status", 				"Status"
	SetText "TransactedBy", 		"Transacted By"
	SetText "HoursAbbr", 			"Hrs"
	SetText "MBAbbr", 				"MB"


	SetText "Restricted", 			"Restricted"
	SetText "Unrestricted", 		"Unrestricted"

	' Buttons/Actions
	SetText "Save",					"Save"
	SetText "Search",				"Search"
	SetText "AddOne",				"Add One"
	SetText "AddFive",				"Add Five"
	SetText "AddTen",				"Add Ten"
	SetText "ApplyAdjustment",		"Apply"
	SetText "JumpToUser",			"Jump to user"
	SetText "Next",					"Next"
	SetText "Previous",				"Previous"
	SetText "ModifyUsersCredit",	"Modify %0%'s credit"
	SetText "ModifyUserCredit",		"Modify user credit"
	SetText "ViewUserLogs", 		"View %0%'s logs"
	SetText "ViewUserTrans", 		"View %0%'s transactions"
	SetText "ViewPrintLog",			"View print log"
	SetText "ViewNetUsage",			"View net usage"

	'Usage Reports
	SetText "QuickReports",			"Quick Reports"
	SetText "AdhocReports",			"Adhoc Reports"
	SetText "ReportName",			"Report Name"
	SetText "Description",			"Description"

	SetText "UsageType",			"Usage type"
	SetText "ReportType",			"Report type"
	SetText "Detailed",				"Detailed logs"
	SetText "SummaryByUser",		"Summary by user"
	SetText "SummaryByPrinter",		"Summary by printer"
	SetText "Period",				"Period"
	SetText "SortBy",				"Sort By"
	SetText "PrintStatus",			"Print Status"
	SetText "TotalCost",			"Total cost"
	SetText "PrinterName", 			"Printer name"
	SetText "PagesPerJob", 			"Average pages per job"
	SetText "RunReport",			"Run Report"
	SetText "RunReportExcel",		"Export to Excel"
	SetText "ReportFilters", 		"Report Filters"
	SetText "ReportSortOrder", 		"Report Sort Order"

    'Printer Status Selection
	SetText "Printed",				"Printed"
	SetText "Denied",				"Denied"
	SetText "Cancelled",			"Cancelled"
	SetText "Refunded",				"Refunded"
	SetText "CancelledWithNoRefund",	"Cancelled with no refund"
	SetText "AllDocuments",	        "All Documents"

	SetText "ReportsNoNetCharging",	"Unable to run Internet usage report.  Net Charging is not installed."

	SetText "PeriodToday",			"Today"
	SetText "PeriodYesterday",		"Yesterday"
	SetText "PeriodLast24Hours",	"Last 24 hours"
	SetText "PeriodWeek",			"Last 7 days"
	SetText "PeriodMonth",			"Last 30 days"
	SetText "Period3Months",		"Last 3 months"
	SetText "Period6Months",		"Last 6 months"
	SetText "PeriodAll",			"All Data"

	SetText "HideReportParameters",	"Hide Report Parameters"
	SetText "ShowReportParameters",	"Show Report Parameters"

	SetText "PrintReports",			"Print Usage Reports"
	SetText "NetReports",			"Internet Usage Reports"

	SetText "TopPrintUsersJobs",	"Top Print Users (Print Jobs)"
	SetText "TopPrintUsersJobsDesc","Lists the top print users by number of print jobs over the past 30 days"
	SetText "TopPrintUsersPages",	"Top Print Users (Pages Printed)"
	SetText "TopPrintUsersPagesDesc","Lists the top print users by number of pages printed over the past 30 days"
	SetText "BusiestPrintersJobs",	"Busiest Printers (Print Jobs)"
	SetText "BusiestPrintersJobsDesc","Lists the busiest printers by number of print jobs over the past 30 days"
	SetText "BusiestPrintersPages",	"Busiest Printers (Pages Printed)"
	SetText "BusiestPrintersPagesDesc","Lists the busiest printers by number of pages printed over the past 30 days"
	SetText "PrintJobsExpensive",	"Most Expensive Print Jobs"
	SetText "PrintJobsExpensiveDesc","Lists the most expensive print jobs over the past 30 days"
	SetText "PrintJobsBiggest",		"Largest Print Jobs"
	SetText "PrintJobsBiggestDesc","Lists that print jobs with the most number of pages over the past 30 days"
	SetText "PrintJobsBiggestDesc","Lists that print jobs with the most number of pages over the past 30 days"
	SetText "CancelledAndNotRefundedJobs","Cancelled Print Jobs Not Refunded"
	SetText "CancelledAndNotRefundedJobsDesc","A list of print jobs manually cancelled but not refunded as they had fully or partially printed"

	SetText "TopNetUsersData",		"Top Internet Users (Data)"
	SetText "TopNetUsersDataDesc",	"Lists the top Internet users by data downloaded over the past 30 days"
	SetText "TopNetUsersTime",		"Top Internet Users (Time)"
	SetText "TopNetUsersTimeDesc",	"Lists the top Internet users by time used over the past 30 days"
	SetText "NetHighestDailyUseData", "Highest Daily Internet Use (Data)"
	SetText "NetHighestDailyUseDataDesc","Lists the users with the highest amount of data used in a day, over the past 30 days"
	SetText "NetHighestDailyUseTime", "Highest Daily Internet Use (Time)"
	SetText "NetHighestDailyUseTimeDesc","Lists the users with the highest amount of time used in a day, over the past 30 days"
	SetText "AdhocReportsDesc",		"Allows you to create customized usage reports that can be displayed on screen or exported to Excel"



	SetText "ResultsNoData",		"No data matches your report parameters"

	'TopUp Cards
	SetText "TopUpCardInstr",		"Enter the Card number and press the ""Use Card"" button."
	SetText "TopUpCardInstrNote",	"NOTE: All requests to use TopUp/PrePaid cards are logged."
	SetText "CardNumber",			"Card Number"

	SetText "TopUpSuccess",			"Card applied successfully."
	SetText "ActionLogged",			"This action has been logged"
	SetText "ErrorTUCExpired",		"This Card has expired."
	SetText "ErrorTUCInvalid",		"Invalid Card number."
	SetText "ErrorTUCUnableToProcess", "Unable to process card"

	' Transfer
	SetText "TransferFrom",			"Transfer from"
	SetText "AvailableFunds",		"Available credit"
	SetText "AmountToTransfer",		"Amount to transfer"
	SetText "TransferToUser",		"Transfer to user"
	SetText "Transfer",				"Transfer"
	SetText	"TransferApplied",		"Transfer applied successfully."
	SetText "ErrorTransUser",		"The user you are transfering funds to does not exist."
	SetText "ErrorTransCredit",		"You do not have enough credit to transfer this amount."
	SetText "ErrorTransInvAmount",	"Invalid Amount."
	SetText	"UnableToTransfer",		"Unable to transfer funds."

	' Other Charges
	SetText	"OtherCharges",			"Other Charges"
	SetText	"UserToCharge",			"User to charge"
	SetText	"ChargeUser",			"Charge User"
	SetText	"UnableToCharge",		"Unable to charge user."
	SetText	"ChargeApplied",		"Charge applied successfully."
	SetText "ChargeType",			"Charge type"
	SetText "AdditionalComment",	"Additional comment"
	SetText "ChargeDiffUser",		"Charge different user"
	SetText "AvailableCredit",		"Available Credit"

	' Charge Types
	SetText "ChargeTypeOther",		"Other charge"

	SetText "OtherChargeType0",		"Photo paper"
	SetText "OtherChargeType1",		"Transparencies"
	SetText "OtherChargeType2",		"Binding"
	SetText "OtherChargeType3",		"Other special paper"
	SetText "OtherChargeType4",		"Library fines"
	SetText "OtherChargeType5",		"Late payment fees"
	SetText "OtherChargeType6",		"Rental fees"

    'Refund
    SetText "RefundSuccess",        "Refund successfully issued."
    SetText "RefundFailure",        "Failed to refund print job."
    SetText "Refund",               "Refund"
    SetText "RefundConfirm",        "Refund user %0% with amount %1% ?"
    SetText "RefundComment",        "Refunded print job"

	'Transacted By
	SetText "TransByNetUse",		"net use"
	SetText "TransByPrintUse",		"print use"
	SetText "TransByAutomatic",		"automatic"
	SetText "TransByTransTo",		"transfer to %0%"
	SetText "TransByTransFrom",		"transfer from %0%"

	' Admin Home
	SetText "Welcome",				"Welcome"
	SetText "AdminInstr",			"Welcome to the Web Administration for %0%. You'll be able to perform basic administration from your web browser, and view recent jobs on this server."
	SetText "UserAdmin",			"User Administration"
	SetText "ViewRecentPrintJobs",	"View recent print jobs on this server"
	SetText "ViewRecentNetUsage",	"View recent net usage on this server"
	SetText "ViewRecentTransLog",	"View transaction log on this server"

	' Login page
	SetText "Login",                "Login"
	SetText "LoginInstructions",    "Enter your login username to log into the PaperCut web tools interface."
	
	' Charges List
	SetText "Advanced",				"Advanced"
	SetText "ChargeRates",			"Charge Rates"
	SetText "PrinterCosts",			"Printer Costs"
	SetText "PageCost",				"Page Cost"
	SetText "DuplexDiscount",		"Duplex Discount"
	SetText "GrayscaleDiscount",	"Grayscale Discount"
	SetText "Details",				"Details"
	SetText "LargePaper",			"Large Paper"
	SetText "VeryLargePaper",		"Very Large Paper"
	
	SetText "DefaultGrayscaleCost",	"Default Grayscale Cost"
	SetText "DefaultColorCost",		"Default Color Cost"
	
	SetText "Size",					"Size"
	SetText "ColorCost",			"Color Cost"
	SetText "GrayscaleCost",		"Grayscale Cost"
	
	SetText "ExtraPerPage",			"extra per page"
	SetText "LessPerPage",			"less per page"
	SetText "Extra",				"extra"
	SetText "Less",					"less"
	SetText "PerMetre2",			"per sq. metre"
	SetText "PerFoot2",				"per sq. foot"
	SetText "PerPage",				"per page"
	
	SetText "NetCosts",				"Internet Costs"
	SetText "NetChargingType",		"Net Charging Model"
	SetText "DataCost",				"%0% per MB"
	SetText "TimeCost",				"%0% per %1% minute period"

	'Errors
	SetText "ErrorUserNotLoggedIn" ,"User not logged in. Need to configure IIS to disallow anonymous access."
	SetText "AnonAccessDisabled",   "Anonymous access is disabled. If you want to allow anonymous user access, set gblnAllowAnonymousAccess = True value in Config.inc."
	SetText "ErrorAnonAdminAccess", "Users authenticated using the 'anonymous' login form, are not allowed to access the Administration pages.  Change the permissions of the Admin ASP pages so that only Administrators can access these files."
	SetText "ErrorCantFindUser",	"Cannot find user '%0%' in PaperCut user database."
	SetText "ErrorUnexpectedError",	"Unexpected error occurred. Contact the system administrator."
	SetText "ErrorDatabaseAccess",	"You do not have permissions to modify the PaperCut database. Please consult the user manual for instructions on configuring security settings to use PaperCut web administration."


	'PaperCut Enterprise
	SetText "Account",				"Account"
	SetText "AccountList",			"Account List"
	SetText "AccountAdmin", 		"Account Administration"
	SetText "ChooseOption",			"Choose from one of the following options."


	SetText "AccountListInstr", 	"To edit an account, click on the account title in the list below"
	SetText "ClickToAddAcct", 		"Or click to Add an Account"

	SetText "AccountDetailsInstrAdd", "To add an account, enter its details and click the Save button"
	SetText "ReturnWithoutAdd", 	"Return to the Account List without adding an account"

	SetText "AccountDetailsInstrEdit", "To edit an account, change its details below and click the Save button"
	SetText "DeleteThisAccount", 	"Delete this account"
	SetText "ReturnWithoutEdit", 	"Return to the Account List without without saving any changes"

	SetText "ResetCounters",		"ResetCounters"
	SetText "CounterStats",			"Counter Statistics"

	SetText "ConfirmAcctDelete",	"Are you sure you wish to delete this account?"
	SetText "ConfirmResetCount",	"Are you sure you wish to reset the counters for this account?"

	SetText "AcctIsActive", 		"Account is active"
	SetText "AcctJobsNonInvoice",	"Account jobs to be non invoiceable"

	SetText "Legend", 				"Legend"
	SetText "MainAcct", 			"Main Account"
	SetText "ActiveAcct",			"Active Account"
	SetText "InactiveAcct",			"Inactive Account"
	SetText "JobCommentsReq",		"Job Comments Required"
	SetText "JobCommentsOpt",		"Job Comments Optional"

	SetText "AccountDetails",		"Account Details"
	SetText "AcctType",				"Account Type"
	SetText "AccountTitle", 		"Account Title"
	SetText "Title", 				"Title"
	SetText "AccountType", 			"Account Type"
	SetText "SubAcctOf", 			"Sub account of"
	SetText "Notes", 				"Notes"

	SetText "AcctAdded",			"The account was successfully added"
	SetText "AcctSaved",			"The account was successfully saved"
	SetText "CountReset",			"The counters were successfully reset"

	SetText "EntErrAcctDetails", 	"The following problems were found with the account details"
	SetText "EntErrAcctAdd", 		"An error occurred whilst adding the account"
	SetText "EntErrAcctSave",		"An error occurred whilst saving the account"
	SetText "EntErrAcctDelete",		"An error occurred whilst deleting the account"
	SetText "EntErrAcctTitle", 		"The account title must be entered"
	SetText "EntErrCountReset",		 "An error occurred whilst resetting the counters"


	SetText "EntRedirMsg", 			"Please wait while the next page loads. If the page does not load within 5 seconds click the link below."
	SetText "ClickHereToCont",		"Click here to continue"

	SetText "CommentsRequired", 	"Comments Required"
	SetText "CommentsNone", 		"No comments for print jobs"
	SetText "CommentsOpt", 			"Comments optional for print jobs"
	SetText "CommentsReq", 			"Comments required for print jobs"

End If
%>
