<%
' (c) Copyright 1999-2004 PaperCut Software Pty. Ltd.
'
' Spanish Translation
'
' Contributed by Alberto Jimnez Molero (ajimenezm@isenergia.com) from Instituto Superior de la Energa

' To translate the PaperCut Web tools follow these steps:
'
' 1. Copy "includes\lang_en.inc" to a new file name appropriate for your language.
'    (e.g.  lang_<languageCode>.inc). You can see a list  of 2 letter language codes
'    here: http://www.w3.org/WAI/ER/IG/ert/iso639.htm#2letter
'
' 2. Open the file "includes\PCCommon.inc" and add your language code to the list near the top of
'    the file that looks like:
'
'		garrValidLangs = Array("en", "es", "it")
'
' 3. In "includes\PCCommon.inc", include your language file below the list that looks like this:
'
'		<!-- #include file="lang_it.inc" -->
'		<!-- #include file="lang_es.inc" -->
'
' 4. Modify the line at the top of your language file that looks like the following, to have use the
'    the correct language code.
'
'		If IsActiveLanguage("en") Then
'
' 5. Translate the "SetText" lines below.  For example, change:
'
'		SetText "Pages", 	"Pages"
'
'	 to
'
'		SetText "Pages", 	"Pagine"
'
'
' 6. Refresh your web browser, and you should see your translations. If not, PaperCut could not
'    detect your default language.  To force your language to be used add the line to the bottom
'    of the "Config.inc" file (and change the language code to your language).
'
'		SetActiveLanguage("en")
'
' 7. Translate the text below which will be used on a simple page on our web site for speakers of
'    your language.  You and your organisation will receive acknowledgement of your contribution.
'    See here for a sample of what the web page will look like: http://www.papercut.biz/lang/english.htm
'
' 8. Send your translation file to support@papercut.biz, so other can make use of your translation
'
' ================== START OF TEXT FOR WEB SITE ==================

'PaperCut is the leading solution for print and internet resource management. PaperCut is now charging
'over a million users in more than 60 countries worldwide.

'PaperCut is a print and internet charging, quota and monitoring system for Windows networks. It was
'specifically developed to meet the need in schools and Universities to promote the responsible use of
'IT resources. It also has applications in business where there is a need to implement a user-pays system
'or silent monitoring.

'Install options include:

'    * Combined print and internet charging
'    * Print charging and monitoring only
'    * Internet charging and monitoring only

'A 40-day unrestricted Trial Version is available for download.

'Although PaperCut is not fully translated into [insert language], the PaperCut web tools have been translated.
'The PaperCut web tools provide features for both your administrators and users.
'
'Thanks to [insert name] from [insert organization] for contributing the PaperCut web tools translation.
'
' ================== END OF TEXT FOR WEB SITE ==================

If IsActiveLanguage("es") Then

    ' The charset used for the webpages
    SetText "charset",                 "windows-1252"
    
    ' Header/Footer
    SetText "WebTools",             "Web Tools"
    SetText "LoggedInAs",           "Usuario"
    SetText "LicensedTo",           "Licenciado a"
    SetText "PoweredBy",            "Desarrollado por %0%"
    SetText "RightsReserved",       "Todos los derechos reservados."
    SetText "PaperCutTrial",        "PaperCut versin Demo"
    SetText "TrialExpired",         "Periodo Demo Expirado"
    SetText "TrialDaysRemaining",   "Quedan %0% dias"
    SetText "NotLoggedIn",          "(Usuario no validado)"
    
    SetText "MyDetails",            "Mis detalles"
    SetText "MySummary",            "Mi Cuenta"
    SetText "UseTopUpCard",         "Uso TopUp Card"
    SetText "MyPrintJobs",          "Mis trabajos impresos"
    SetText "MyNetUsage",           "Mis usos de red"
    SetText "MyTransactions",       "Mis Transacciones"
    SetText "TransferFunds",        "Transferencia de Fondos"
    
    SetText "UpdateCheck",          "Check For Updates"
    
    SetText "Admin",                 "Admin"
    SetText "AdminHome",             "Men Admin"
    SetText "UserList",              "Lista de usuario"
    SetText "UserDetails",           "Detalles usuario"
    SetText "RecentPrintJobs",       "ltimos trabajos impresos"
    SetText "PrintJobs",             "Trabajos impresos"
    SetText "RecentNetUsage",        "Uso reciente de red"
    SetText "NetUsage",              "Uso de red"
    SetText "TransactionHistory",    "Histrico de Transacciones"
    
    SetText "RecentPrintLogsBy",     "Registro de trabajos impresos por '%0%'"
    SetText "RecentTransactions",    "ltimas Transacciones"
    SetText "RecentTransactionsFor", "ltimas Transacciones para '%0%'"
    SetText "RecentNetUsageBy",      "ltimo uso de red por '%0%'"
    SetText "TimeUsed",              "Tiempo usado"
    SetText "DataUsed",              "Trafco usado"
    
    
    ' Field/Column names
    SetText "Username",              "Usuario"
    SetText "Credit",                "Crdito"
    SetText "PagesPrinted",          "Pginas Impresas"
    SetText "NetDataUsed",           "Datos de red utilizado"
    SetText "NetTimeUsed",           "Tiempo de red utilizado"
    SetText "Privilege",             "Privilegios"
    SetText "QuickAdd",              "Aade rpidamente"
    SetText "QuickAdjust",          "Quick Adjustment"
    SetText "AdjustCredit",  "Adjust Credit:"
    
    SetText "Time",                  "Tiempo"
    SetText "Date",                  "Fecha"
    SetText "User",                  "Usuario"
    SetText "Printer",               "Impresora"
    SetText "Document",              "Documento"
    SetText "Pages",                 "Pginas"
    SetText "Cost",                  "Coste"
    SetText "Amount",                "Cantidad"
    SetText "Comment",               "Comment"
    SetText "CreditAfterTrans",      "Crdito despues de Trans."
    SetText "Status",                "Estado"
    SetText "TransactedBy",          "Transpasado por"
    SetText "HoursAbbr",             "Hrs"
    SetText "MBAbbr",                "MB"
    
    
    SetText "Restricted",            "Restringido"
    SetText "Unrestricted",          "Sin Restringir"
    
    ' Buttons/Actions
    SetText "Save",                  "Guardar"
    SetText "Search",                "Buscar"
    SetText "AddOne",                "Aadir Uno"
    SetText "AddFive",               "Aadir Cinco"
    SetText "AddTen",                "Aadir Diez"
    SetText "ApplyAdjustment",      "Apply"
    SetText "JumpToUser",            "Ir al Usuario"
    SetText "Next",                  "Siguiente"
    SetText "Previous",              "Anterior"
    SetText "ModifyUsersCredit",     "Modificar Crdito de %0%"
    SetText "ModifyUserCredit",      "Modificar Crdito Usuario"
    SetText "ViewUserLogs",          "Ver %0%'s logs"
    'SetText "ViewUserTrans",        "View %0%'s transactions"  
    SetText "ViewPrintLog",          "Ver log impresora"
    SetText "ViewNetUsage",          "Ver uso de Red"
    
    'Usage Reports
    SetText "QuickReports",          "Quick Reports"
    SetText "AdhocReports",          "Adhoc Reports"
    SetText "ReportName",            "Report Name"
    SetText "Description",           "Description"

    SetText "UsageType",             "Usage type"
    SetText "ReportType",            "Report type"
    SetText "Detailed",              "Detailed logs"
    SetText "SummaryByUser",         "Summary by user"
    SetText "SummaryByPrinter",      "Summary by printer"
    SetText "Period",                "Period"
    SetText "SortBy",                "Sort By"
    SetText "PrintStatus",           "Print Status"
    SetText "TotalCost",             "Total cost"
    SetText "PrinterName",           "Printer name"
    SetText "PagesPerJob",           "Average pages per job"
    SetText "RunReport",             "Run Report"
    SetText "RunReportExcel",        "Export to Excel"
    SetText "ReportFilters",         "Report Filters"
    SetText "ReportSortOrder",       "Report Sort Order"

    'Printer Status Selection
    SetText "Printed",              "Printed"
    SetText "Denied",               "Denied"
    SetText "Cancelled",                "Cancelled"
    SetText "Refunded",             "Refunded"
    SetText "CancelledWithNoRefund",    "Cancelled with no refund"
    SetText "AllDocuments",         "All Documents"

    SetText "ReportsNoNetCharging",  "Unable to run Internet usage report.  Net Charging is not installed."

    SetText "PeriodToday",            "Today"
    SetText "PeriodYesterday",      "Yesterday"
    SetText "PeriodLast24Hours",    "Last 24 hours"
    SetText "PeriodWeek",             "Last 7 days"
    SetText "PeriodMonth",            "Last 30 days"
    SetText "Period3Months",          "Last 3 months"
    SetText "Period6Months",          "Last 6 months"
    SetText "PeriodAll",              "All Data"

    SetText "HideReportParameters",   "Hide Report Parameters"
    SetText "ShowReportParameters",   "Show Report Parameters"

    SetText "PrintReports",           "Print Usage Reports"
    SetText "NetReports",             "Internet Usage Reports"

    SetText "TopPrintUsersJobs",      "Top Print Users (Print Jobs)"
    SetText "TopPrintUsersJobsDesc",  "Lists the top print users by number of print jobs over the past 30 days"
    SetText "TopPrintUsersPages",     "Top Print Users (Pages Printed)"
    SetText "TopPrintUsersPagesDesc", "Lists the top print users by number of pages printed over the past 30 days"
    SetText "BusiestPrintersJobs",    "Busiest Printers (Print Jobs)"
    SetText "BusiestPrintersJobsDesc","Lists the busiest printers by number of print jobs over the past 30 days"
    SetText "BusiestPrintersPages",   "Busiest Printers (Pages Printed)"
    SetText "BusiestPrintersPagesDesc","Lists the busiest printers by number of pages printed over the past 30 days"
    SetText "PrintJobsExpensive",     "Most Expensive Print Jobs"
    SetText "PrintJobsExpensiveDesc", "Lists the most expensive print jobs over the past 30 days"
    SetText "PrintJobsBiggest",       "Largest Print Jobs"
    SetText "PrintJobsBiggestDesc",   "Lists that print jobs with the most number of pages over the past 30 days"
    SetText "PrintJobsBiggestDesc","Lists that print jobs with the most number of pages over the past 30 days"
    SetText "CancelledAndNotRefundedJobs","Cancelled Print Jobs Not Refunded"
    SetText "CancelledAndNotRefundedJobsDesc","A list of print jobs manually cancelled but not refunded as they had fully or partially printed"

    SetText "TopNetUsersData",        "Top Internet Users (Data)"
    SetText "TopNetUsersDataDesc",    "Lists the top Internet users by data downloaded over the past 30 days"
    SetText "TopNetUsersTime",        "Top Internet Users (Time)"
    SetText "TopNetUsersTimeDesc",    "Lists the top Internet users by time used over the past 30 days"
    SetText "NetHighestDailyUseData", "Highest Daily Internet Use (Data)"
    SetText "NetHighestDailyUseDataDesc","Lists the users with the highest amount of data used in a day, over the past 30 days"
    SetText "NetHighestDailyUseTime", "Highest Daily Internet Use (Time)"
    SetText "NetHighestDailyUseTimeDesc","Lists the users with the highest amount of time used in a day, over the past 30 days"
    SetText "AdhocReportsDesc",       "Allows you to create customized print or internet usage reports that can be displayed on screen or exported to Excel"



    SetText "ResultsNoData",          "No data matches your report parameters"

    'TopUp Cards
    SetText "TopUpCardInstr",         "Introducir el nmero de TopUp Card y presionar el botn ""Use TopUp Card""."
    SetText "TopUpCardInstrNote",     "NOTA: Se registrarn todas las peticiones de uso de TopUp cards."
    SetText "CardNumber",             "Nmero de Tarjeta"        
    
    SetText "TopUpSuccess",           "TopUp card aplicada correctamente."
    SetText "ActionLogged",           "Esta accin ha sido registrada"
    SetText "ErrorTUCExpired",        "TopUp Card ha expirado."
    SetText "ErrorTUCInvalid",        "Nmero no valido de TopUp Card."
    SetText "ErrorTUCUnableToProcess","Imposible Procesar TopUp card"
    
    ' Transfer
    SetText "TransferFrom",           "Transferido de"
    SetText "AvailableFunds",         "Disponoble funds"
    SetText "AmountToTransfer",       "Cantidad a transferir"
    SetText "TransferToUser",         "Transferir al usuario"
    SetText "Transfer",               "Transferido"
    SetText    "TransferApplied",     "Transferencia realizada."
    SetText "ErrorTransUser",         "El usuario a quien ha transferido fondos no existe."
    SetText "ErrorTransCredit",       "No tiene crdito suficiente para transferir esta cantidad."
    SetText "ErrorTransInvAmount",    "Cantidad no valida."
    SetText    "UnableToTransfer",    "Unable to transfer funds."

    ' Other Charges
    SetText    "OtherCharges",        "Other Charges"
    SetText    "UserToCharge",        "User to charge"
    SetText    "ChargeUser",          "Charge User"
    SetText    "UnableToCharge",      "Unable to charge user."
    SetText    "ChargeApplied",       "Charge applied successfully."
    SetText "ChargeType",             "Charge type"
    SetText "AdditionalComment",      "Additional comment"
    SetText "ChargeDiffUser",         "Charge different user"
    SetText "AvailableCredit",        "Available Credit"

    ' Charge Types
    SetText "ChargeTypeOther",         "Other charge"

    SetText "OtherChargeType0",        "Photo paper"
    SetText "OtherChargeType1",        "Transparencies"
    SetText "OtherChargeType2",        "Binding"
    SetText "OtherChargeType3",        "Other special paper"
    SetText "OtherChargeType4",        "Library fines"
    SetText "OtherChargeType5",        "Late payment fees"
    SetText "OtherChargeType6",        "Rental fees"

    'Refund
    SetText "RefundSuccess",        "Refund successfully issued."
    SetText "RefundFailure",        "Failed to refund print job."
    SetText "Refund",               "Refund"
    SetText "RefundConfirm",        "Refund user %0% with amount %1% ?"
    SetText "RefundComment",        "Refunded print job"

    'Transacted By
    SetText "TransByNetUse",           "Uso de red"
    SetText "TransByPrintUse",         "Uso de impresin"
    SetText "TransByAutomatic",        "Automtico"
    SetText "TransByTransTo",          "Transferir a %0%"
    SetText "TransByTransFrom",        "Transferido de %0%"
    
    ' Admin Home
    SetText "Welcome",                 "Bienvenido"
    SetText "AdminInstr",              "Bienvenido al Web de Administracin de %0%. Tu puedes realizar la administracin bsica desde tu navegador, y ver los trabajos de impresin recientes de tu servidor."
    SetText "UserAdmin",               "Administracin Usuario"
    SetText "ViewRecentPrintJobs",     "Ver trabajos impresos recientemente en el servidor"
    SetText "ViewRecentNetUsage",      "Ver uso reciente de red en el servidor"
    SetText "ViewRecentTransLog",      "Ver registro de Transacciones en el servidor"
    
    ' Login page
    SetText "Login",                "Login"
    SetText "LoginInstructions",    "Enter your login username to log into the PaperCut web tools interface."
    
    ' Charges List
    SetText "Advanced",             "Advanced"
    SetText "ChargeRates",          "Charge Rates"
    SetText "PrinterCosts",         "Printer Costs"
    SetText "PageCost",             "Page Cost"
    SetText "DuplexDiscount",       "Duplex Discount"
    SetText "GrayscaleDiscount",    "Grayscale Discount"
    SetText "Details",              "Details"
    SetText "LargePaper",           "Large Paper"
    SetText "VeryLargePaper",       "Very Large Paper"
    
    SetText "DefaultGrayscaleCost", "Default Grayscale Cost"
    SetText "DefaultColorCost",     "Default Color Cost"
    
    SetText "Size",                 "Size"
    SetText "ColorCost",            "Color Cost"
    SetText "GrayscaleCost",        "Grayscale Cost"
    
    SetText "ExtraPerPage",         "extra per page"
    SetText "LessPerPage",          "less per page"
    SetText "Extra",                "extra"
    SetText "Less",                 "less"
    SetText "PerMetre2",            "per sq. metre"
    SetText "PerFoot2",             "per sq. foot"
    SetText "PerPage",              "per page"
    
    SetText "NetCosts",             "Internet Costs"
    SetText "NetChargingType",      "Net Charging Model"
    SetText "DataCost",             "%0% per MB"
    SetText "TimeCost",             "%0% per %1% minute period"
    
    'Errors
    SetText "ErrorUserNotLoggedIn" ,   "Usuario no validado. Necesita deshabilitar el acceso annimo en el IIS."
    SetText "AnonAccessDisabled",   "Anonymous access is disabled. If you want to allow anonymous user access, set gblnAllowAnonymousAccess = True value in Config.inc."
    SetText "ErrorAnonAdminAccess", "Users authenticated using the 'anonymous' login form, are not allowed to access the Administration pages.  Change the permissions of the Admin ASP pages so that only Administrators can access these files."
    SetText "ErrorCantFindUser",       "No puedo encontrar el usuario '%0%' en la base de datos de PaperCut."
    SetText "ErrorUnexpectedError",    "Ha ocurrido un error inesperado. Contacte con el Administrador del Sistema."
    SetText "ErrorDatabaseAccess",     "No tiene permisos suficientes para modificar la Base de Datos de PaperCut. Por favor, consulte el manual de usuario para ver las instrucciones de como configurar la seguridad y usar el Administrador Web."
    
    
    'PaperCut Enterprise
    SetText "Account",                "Cuenta"
    SetText "AccountList",            "Lista de Cuentas"
    SetText "AccountAdmin",           "Cuenta de Administracin"
    SetText "ChooseOption",           "Cambiar por una de las siguientes opciones."
    
    
    SetText "AccountListInstr",       "Para editar una cuenta, seleccionar sobre la cuenta en la lista"
    SetText "ClickToAddAcct",         "O seleccionar aadir una cuenta"
    
    SetText "AccountDetailsInstrAdd", "Para aadir una cuenta, rellene los datos y seleccione el botn de Guardar"
    SetText "ReturnWithoutAdd",       "Volver a la lista de usuarios sin aadir la cuenta"
    
    SetText "AccountDetailsInstrEdit","Para editar una cuenta, cambie los detalles y seleccione el botn Guardar"
    SetText "DeleteThisAccount",      "Borrar esta cuenta"
    SetText "ReturnWithoutEdit",      "Volver a la lista de usuarios sin guardar los cambios"
    
    SetText "ResetCounters",          "Borrar Contadores"
    SetText "CounterStats",           "Estadsticas del contador"
    
    SetText "ConfirmAcctDelete",      "Esta seguro de borrar esta cuenta?"
    SetText "ConfirmResetCount",      "Esta seguro de borrar el contador para esta cuenta?"
    
    SetText "AcctIsActive",           "Cuenta Activa"
    SetText "AcctJobsNonInvoice",     "Account jobs to be non invoiceable"
    
    SetText "Legend",                 "Leyenda"
    SetText "MainAcct",               "Men Cuentas"
    SetText "ActiveAcct",             "Cuenta Activa"
    SetText "InactiveAcct",           "Cuenta desactivada"
    SetText "JobCommentsReq",         "Comentarios Requiridos"
    SetText "JobCommentsOpt",         "Comentarios Opcionales"
    
    SetText "AccountDetails",         "Detalles de la Cuenta"
    SetText "AcctType",               "Tipo de Cuenta"
    SetText "AccountTitle",           "Titulo de la Cuenta"
    SetText "Title",                  "Titulo"
    SetText "AccountType",            "Tipo de cuenta"
    SetText "SubAcctOf",              "Subcuenta de"
    SetText "Notes",                  "Notas"
    
    SetText "AcctAdded",              "La cuenta ha sido agregada"
    SetText "AcctSaved",              "La cuenta ha sido guardada"
    SetText "CountReset",             "Los contadores han sido borrados"
    
    SetText "EntErrAcctDetails",      "Los siguientes problemas han sido encontrados en los detalles de la cuenta"
    SetText "EntErrAcctAdd",          "Ha ocurrido un error mientras se aadia la cuenta"
    SetText "EntErrAcctSave",         "Ha ocurrido un error mientras se guardaba la cuenta"
    SetText "EntErrAcctDelete",       "Ha ocurrido un error mientras se borraba la cuenta"
    SetText "EntErrAcctTitle",        "El titulo de la cuenta ha sido guardado"
    SetText "EntErrCountReset",       "Ha ocurrido un error mientras se borraban los contadores"
    
    
    SetText "EntRedirMsg",            "Por favor espere mientras se carga la siguiente pgina. Si no se carga en 5 segundos, seleccione el enlace."
    SetText "ClickHereToCont",        "Seleccione aqu para continuar"
    
    SetText "CommentsRequired",       "Comentarios requeridos"
    SetText "CommentsNone",           "Sin comentarios para los trabajos impresos"
    SetText "CommentsOpt",            "Comentarios opcionales para los trabajos impresos"
    SetText "CommentsReq",            "Comentarios requeridos para los trabajos impresos"

End If
%>
